<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 

 include/admin_bdd.php V0.1
*/

// Gestion de la base de donnes

$total_usagers=$_POST["total_usagers"];
$total_echec=$_POST["total_echec"];
$total_actif=$_POST["total_actif"];
$total_inactif=$_POST["total_inactif"];

if ($mess==1)
{
	echo "<div class=\"error\">le repertoire de stockage 'SQL' &agrave; la racine de l'application Cybermin n'est pas accessible en &eacute;criture.<br /> Vous devez autoriser l'acc&egrave;s pour pouvoir sauvegarder le fichier</div>";
}
?>
<!-- DIV accs direct aux autres paramtres-->
 <div class="box">
		<div class="box-header">
			<h3 class="box-title">Paramtrages</h3>
		</div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=41"><i class="fa fa-cloud"></i> VILLES <a>
			<a class="btn btn-app" href="#"><i class="fa fa-home"></i> EPN</a>
			<a class="btn btn-app" href="index.php?a=44"><i class="fa fa-square"></i> SALLES</a>
			<a class="btn btn-app" href="index.php?a=42"><i class="fa fa-clock-o"></i> HORAIRES</a>
			<a class="btn btn-app" href="index.php?a=47"><i class="fa fa-eur"></i> TARIFS</a>
			<a class="btn btn-app" href="index.php?a=2"><i class="fa fa-desktop"></i> MATERIEL</a>
			<a class="btn btn-app" href="index.php?a=48"><i class="fa fa-user-md"></i> USAGES</a>
			<a class="btn btn-app" href="index.php?a=46"><i class="fa fa-caret-square-o-up"></i> USAGES POSTES</a>
			<a class="btn btn-app" href="index.php?a=23"><i class="fa fa-users"></i> ADMIN/ANIM</a>
			<a class="btn btn-app disabled" href="index.php?a=49"><i class="fa fa-archive"></i> BDD</a>
			<a class="btn btn-app" href="index.php?a=25"><i class="fa fa-desktop"></i> EPN-CONNECT</a>
			
		</div><!-- /.box-body -->
</div><!-- /.box -->

<div class="row">
 <!-- Left col --><section class="col-lg-6">
  
<!-- liste des espaces existants-->
 <div class="box box-warning"><div class="box-header"><h3 class="box-title">Sauvegarde des donn&eacute;es</h3></div>
 <div class="box-body">
      
       <form method="post" action="index.php?a=49&act=save" role="form">
       <div class="form-group">
           <input type="radio" name="action" value="2" checked  class="form-control">
           <label> Transmettre dans un fichier :</label><input type="text" name="fichier" value="<?php echo date('ymd');?>_gestionnaire.cyb"></div>
           <div class="form-group">
           <input type="radio" name="action" value="1" class="form-control" ><label> Afficher le contenu de la sauvegarde</label></div>
           <div class="form-group">
           <input type="submit" value="Sauvegarder les donn&eacute;es"  class="btn btn-default"></div>
           
           <?php
           if ($save !="")
           {
               echo "<div class=\"form-group\"><textarea style=\"font-size:9pt;width:100%\"  rows=\"4\" class=\"form-control\">".$save."</textarea></div>" ;
           }
           ?>
          
       </form>
<?php
// Restauration, cette fonction est desactiv pour des raison de scurit
/*
       <tr>
           <td>&nbsp;</td></tr>
       <tr class="list_title">
           <td>Restauration de la base de donn&eacute;es</td></tr>
       <form method="post" action="index.php?a=8&act=restore" enctype="multipart/form-data">
       <tr class="list">
           <td>Fichier de sauvegarde : <input type="file" name="restore_file">&nbsp;&nbsp;<input type="submit" value="Restaurer les donn&eacute;es"></td></tr>
       </form>

*/
?>     <div class="box-footer"><p>
           Pour restaurer les donn&eacute;es merci de passer par phpmyadmin pour rimporter un fichier de sauvegarde.<br></p></div>
</div>
</div>

<!-- aide restauration-->
 <div class="box box-info"><div class="box-header"><h3 class="box-title">Aide  l'import de la base des adhrents depuis un CSV Cybanim</h3></div>
 <div class="box-body">
      <p class="text-info">Restauration de la base de donn&eacute;es usagers provenant de Cybanim seulement</p>
	<p class="text-red">Avant de commencer l'importation assurez-vous que :</p>
	<p>* Le fichier ait t export en Windows-Latin1 ou UTF-8<br>* Le sparateur de colonne choisi est bien le <b>";"</b>.
	<br>Pour tre sur, ouvrez le fichier avec votre tableur (excel ou calc), quand il vous demande la conversion, essayez ';' ou tabulation, et pour l'encodage des caratres choisissez Windows-Latin1 ou UTF-8, 
	si les caractres ne s'affichent pas correctement, essayez Latin-1 ou celui qui convient. 
	Puis suivez la procdure suivante :</p>
	<ol><li>Enregistrez le fichier au format excel ou calc</li>
	<li>Vrifiez que tous les champs correspondent aux en-ttes de colonnes (que la date d'inscription ne soit pas remplie avec du texte par exemple)</li>
	<li><span class="text-red">Remplacez les enttes de colonne suivantes : <b>"date d'inscription" par "inscription"</b> (sans les "), et <b>"Espace d'origine" par "Espace"</b>  (sans les "); Assurez-vous ne pas avoir de double quote ('')  la place des simple (') pour les apostrophes.</span> Car il semblerait que le traitement de l'apostrophe n'est pas le mme suivant les diffrents exports que j'ai pu traiter depuis cybanim (!!).</li>
	<li>Enregistrez sous le fichier au format CSV, dans la boite de dialogue suivante : </li>
	<li>Choisissez bien Windows-Latin1 ou UTF-8 pour l'encodage des caractres puis le ";" pour la sparation des colonnes, <span class="text-red">important ! veuillez dcocher toutes les autres options proposes, ne pas choisir la tabulation, car elle fausse les donnes !</span></li>
	<li>Enregistrez ce nouveau fichier.</li>
	<li>Vous pourrez maintenant lancer l'importation dans CyberGestionnaire, ci-dessous.</li></ol>
	
	<p class="text-red">N'oubliez pas de choisir une option pour gnrer un nouveau mot de passe, puis la ville par dfaut au cas o aucune n'aurait t renseigne, ainsi que le tarif par dfaut que vous souhaitez appliquer  vos adhrents.</p>
	<p>La date de renouvellement du compte usager est par dfaut importe au mme mois et mme jour que la date d'inscription ajuste  l'anne en cours, sauf si l'adhrent est inactif.</p>



</section>

<!-- Restauration, cette fonction permet de restaur la bdd usagers cybanim -->
<section class="col-lg-6">
  
<!-- liste des espaces existants-->
 <div class="box box-warning"><div class="box-header"><h3 class="box-title">Restauration Cybanim</h3></div>
 <div class="box-body">
	
	<?php
			if (FALSE == isset($total_usagers))
			{	
				?>
       <form method="post" action="index.php?a=49&act=restore" enctype="multipart/form-data" role="form">
       	
		<div class="form-group"><label> Fichier de sauvegarde au format CSV</label><input type="file" name="restore_file" ></div>
         <br>
		<div class="form-group"><label>Temps accord aux usagers automatiquement (en minutes), si laiss vide 120 min</label><input type="text" name="temps_user" class="form-control"/> <p class="help-block"> (999 = illimit, par dfaut 300 min)</p></div>
		<div class="form-group">
			<label>Choisir la ville par dfaut (quand aucune n'a t renseigne)  <small class="badge bg-blue" data-toggle="tooltip" title="Pensez a crer une ville 'Non renseigne' "><i class="fa fa-info"></i></small>
			</label><select name="ville" class="form-control" >
			<?php
			// recupere les villes
				$city =  getAllCityname();
				
				foreach ($city AS $key=>$value)
			{
				if ($ville == $key)
				{
					echo "<option value=\"".$key."\" selected>".$value."</option>";
				}
				else
				{
					echo "<option value=\"".$key."\">".$value."</option>";
				}
			}
			?></select></div>
		<div class="form-group"><label>Tarif par dfaut qui sera appliqu  l'ensemble des usagers</label>
		
		<?php
		//recuperer les tarifs
		$tarifs=getTarifsbyCat(2); ?>
		<select name="tarif" class="form-control" >
			<?php
				foreach ($tarifs AS $key=>$value)
				{
					if ($tarif == $key)
					{
						echo "<option value=\"".$key."\" selected>".$value."</option>";
					}
					else
					{
						echo "<option value=\"".$key."\">".$value."</option>";
					}
				}
			?>
		</select></div>
	<div class="form-group"><label>Gnration du nouveau mot de passe*</label>
		 <div class="radio"> <label><input type="radio" name="mdp" value="1"  class="form-control" checked>&nbsp; nom.prenom<label></div>
		 <div class="radio"> <label><input type="radio" name="mdp" value="2"  class="form-control" >&nbsp; AAAAnom ( partir de la date de naissance)<label></div>
		  <div class="radio"> <label><input type="radio" name="mdp" value="3"  class="form-control" >&nbsp; AAAAMMDD  ( partir de la date de naissance)<label></div>
	</div>
        		<?php
			}
			?>
	
	</div><!-- /body-->
	<div class="box-footer">
		 <?php if(isset($total_usagers)==FALSE){ echo '<div class="input-group"><input align="absbottom" type="submit" value="Restaurer les donn&eacute;es" class="btn bg-red"></div> ';     } ?>
       </form>
       
 <?php
	if (FALSE != isset($total_usagers))
	{
		?>
		<h4 class="box-title">Resultat de l'importation</h4>
		<p><?php echo $total_echec; ?>  adhrents non-inscrit(s) suite  un chec  l'importation dans la bdd, sur <?php echo $total_usagers; ?> usagers.<br>
		<?php echo $total_actif; ?> usagers actif sur <?php echo $total_usagers; ?> usagers.<br>
		<?php echo $total_inactif; ?> usagers inactif sur <?php echo $total_usagers; ?> usagers.</p>
		<p>Vous pouvez consulter le log d'importation pour voir les erreurs dans le fichier situ dans le dossier /log, et rcuprer les usagers qui n'ont pu tre imports.</p>
        <?php
	}
?>
	</div><!-- /box-->

 </div><!-- /col-->
  </div><!-- /row-->