<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 

  include/admin_configuration_epnconnect.php V0.1
*/

// Configuration des options du logiciel

if ($_GET["mess"] == "ok")
{
  echo getError(14) ;
}
else if ($_GET["mess"] != "")
{
  echo getError($_GET["mess"]) ;
}

//si changment d'epn
$epn_r=$_GET['epnr'];
if (isset($epn_r)){
	$epn=$epn_r;
}
$act=$_GET["act"];

// configuration des options du logiciel --------------------------------------------
//par dfaut l'epn dont la session est ouverte


if($act==0){
//modification d'une config existante
	$epn=$_SESSION["idepn"];
	$posturl="index.php?a=25&act=0&idepn=".$epn;
	$bouton="valider les modifications";

}else{
// creation d'une nouvelle config
	$epn=$epn_r;
	//tester si pas dj entr puis charger la config !!
	//debug(testconfigepn($epn));
	if(FALSE==testconfigepn($epn)){	
		$posturl="index.php?a=25&act=1&idepn=".$epn;
		$bouton="crer la configuration";
	}else{
		$posturl="index.php?a=25&act=0&idepn=".$epn;
		$bouton="valider les modifications";
	}
}
$row=getConfig_logiciel($epn);


// Choix de l'epn   -------------------------------------
$espaces=getAllEPN();


?>


<!-- DIV accs direct aux autres paramtres-->

 <div class="box"><div class="box-header">
			<h3 class="box-title">Paramtrages</h3>
		</div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=41"><i class="fa fa-cloud"></i> VILLES <a>
			<a class="btn btn-app" href="index.php?a=43"><i class="fa fa-home"></i> EPN</a>
			<a class="btn btn-app" href="index.php?a=44"><i class="fa fa-square"></i> SALLES</a>
			<a class="btn btn-app" href="index.php?a=42"><i class="fa fa-clock-o"></i> HORAIRES</a>
			<a class="btn btn-app" href="index.php?a=47"><i class="fa fa-eur"></i> TARIFS</a>
			<a class="btn btn-app" href="index.php?a=2"><i class="fa fa-desktop"></i> MATERIEL</a>
			<a class="btn btn-app" href="index.php?a=48"><i class="fa fa-user-md"></i> USAGES</a>
			<a class="btn btn-app" href="index.php?a=46"><i class="fa fa-caret-square-o-up"></i> USAGES POSTES</a>
			<a class="btn btn-app" href="index.php?a=23"><i class="fa fa-users"></i> ADMIN/ANIM</a>
			<a class="btn btn-app" href="index.php?a=49"><i class="fa fa-archive"></i> BDD</a>
			<a class="btn btn-app disabled" href="index.php?a=25&act=0"><i class="fa fa-desktop"></i> EPN-CONNECT</a>
			
		</div><!-- /.box-body -->
</div><!-- /.box -->

<div class="row">
	<!-- Colonne de gauche -->
	<div class="col-md-4">
 <div class="box"><div class="box-header"><h3 class="box-title">Installer sur les postes clients</h3></div>
 <div class="box-body">
Tlcharger le logiciel EPN-Connect en cliquant sur le lien ci-dessous :<br />
<a href="./epnconnect/EPN-Connectv1.0.zip">Tlcharger EPN-Connect</a>
</div></div>

	<!-- NOM ESPACE -->	
 <div class="box box-warning"><div class="box-header"><h3 class="box-title">Choisissez l'espace</h3></div>
	<div class="box-body"><form action="index.php?a=25" method="post" role="form">
	<div class="form-group">
		<select name="epn_r" class="form-control" >
			<?php
				foreach ($espaces AS $key=>$value)
				{
					if ($epn == $key)
					{
						echo "<option value=\"".$key."\" selected>".$value."</option>";
					}
					else
					{
						echo "<option value=\"".$key."\">".$value."</option>";
					}
				}
				
			?>
			</select></div>
		<div class="box-footer"><input type="hidden" name="form" value="1">
			<button type="submit" name="submit" value="Valider" class="btn btn-primary">Changer</div>
		
	
</form></div></div>

</div>


<!-- Colonne de droite -->
	<div class="col-md-8">
	
<div class="box"><div class="box-header"><h3 class="box-title">Options du logiciel EPN-Connect </h3></div>
<div class="box-body">
<form action="<?php echo $posturl; ?>" method="post" role="form">
	
<div class="form-group"><label> Validez les options ci-dessous pour activer les fonctionnalits d'EPN-Connect</label></div>
	<input type="hidden" name="idconfig" value="<?php echo $row['id_config_logiciel']; ?>">
	<input type="hidden" name="epn" value="<?php echo $epn ;?>">
	<div class="form-group"><?php
		if($row["page_inscription_logiciel"]==1)
		{
			?>
        	<input type="checkbox" name="insclog" value="1" checked="checked">
            <?php
		}
		else
		{
			?>
        	<input type="checkbox" name="insclog" value="1">
            <?php
		}
        ?>Inscription
        </div>
	<div class="form-group">
       <?php
		if($row["page_renseignement_logiciel"]==1)
		{
			?>
        	<input type="checkbox" name="renslog" value="1" checked="checked">
            <?php
		}
		else
		{
			?>
        	<input type="checkbox" name="renslog" value="1">
            <?php
		}
        ?>Renseignement
        </div>
    <div class="form-group">
       
        <?php
		if($row["config_menu_logiciel"]==1)
		{
			?>
        	<input type="checkbox" name="shiftlog" value="1" checked="checked">
            <?php
		}
		else
		{
			?>
        	<input type="checkbox" name="shiftlog" value="1">
            <?php
		}
        ?>Arret du logiciel par combinaison de touches
      </div>
   <div class="form-group">
       
        <?php
		if($row["affichage_temps_logiciel"]==1)
		{
			?>
        	<input type="checkbox" name="tempslog" value="1" checked="checked">
            <?php
		}
		else
		{
			?>
        	<input type="checkbox" name="tempslog" value="1">
            <?php
		}
        ?>Affichage temps restant
        </div>
     <div class="form-group">
       <?php
		if($row["deconnexion_auto_logiciel"]==1)
		{
			?>
        	<input type="checkbox" name="decouselog" value="1" checked="checked">
            <?php
		}
		else
		{
			?>
        	<input type="checkbox" name="decouselog" value="1">
            <?php
		}
        ?>
		Dconnexion automatique
       </div>
    </div>
	<div class="box-footer"><input type="hidden" name="form" value="2">
	<input type="submit" name="submit" value="Valider" class="btn btn-success"></div>

</form>

</div><!-- /box -->

</div></div><!-- /col /row -->


