<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 2012 Dauvergne Florence

 include/admin_user.php V0.1
*/



// admin --- Utilisateur
$term   = $_POST["term"];
$mesno  = $_GET["mesno"];

if ($mesno !="")
{
  echo getError($mesno);
}

?>
<div class="row">
<!-- nouvel adherent-->
<div class="col-lg-3 col-xs-6">
    <div class="small-box bg-blue"><div class="inner"><h3>&nbsp;</h3><p>Nouvel adhrent</p></div>
		<div class="icon"><i class="ion ion-person-add"></i></div>
                 <a href="index.php?a=1&b=1" class="small-box-footer">Ajouter <i class="fa fa-arrow-circle-right"></i></a>
	</div><!-- /box -->
</div><!-- /col -->

<!-- Recherche adherent-->
<div class="col-lg-5 col-xs-6">
<div class="box box-solid bg-yellow"><div class="box-header"><h3 class="box-title">Recherche</h3></div>
		<div class="box-body">
			<form method="post" action="index.php?a=1">
				<div class="form-group"><label>Entrez son nom ou pr&eacute;nom </label>
				 <div class="input-group input-group-sm">
				 <input type="text" name="term" class="form-control">
				<span class="input-group-btn">	<button type="submit" value="Rechercher"  class="btn btn-flat"><i class="fa fa-search"></i></button></span>
                         </div>
                </div><!-- /input-group -->
	  	 </div><!-- / box footer-->
	 </form></div><!-- / box-->
	
</div><!-- /col -->
<!-- liste complete-->
<div class="col-lg-3 col-xs-6">
    <div class="small-box bg-green"><div class="inner"><h3>&nbsp;</h3><p>Liste rcente</p></div>
		<div class="icon"><i class="ion ion-person-stalker"></i></div>
                 <a href="index.php?a=1" class="small-box-footer">Voir <i class="fa fa-arrow-circle-right"></i></a>
	</div><!-- /box -->
</div><!-- /col -->
</div><!-- /row -->

<div class="row"> 

<!-- Resultats de la recherche -->
<div class="col-xs-12">
<?php
if (strlen($term)>=2)
{
    // Recherche d'un adherent
    $result = searchUser($term);
    if (FALSE == $result OR mysqli_num_rows($result)==0)
    {
      echo getError(6);
    }
    else
    {
      $nb  = mysqli_num_rows($result);
      if ($nb > 0)
      {
      ?>
     <div class="box box-info"><div class="box-header"><h3 class="box-title"><?php echo "R&eacute;sultats de la recherche: ".$nb."";?></h3>
		<div class="box-tools pull-right"><small class="badge bg-blue" data-toggle="tooltip" title="Les adhrents inactifs sont griss"><i class="fa fa-info"></i></small></div>
		</div>
	<div class="box-body no-padding"><table class="table">
	<thead><tr> <th>Nom</a></th>
		<th>Pr&eacute;nom</a></th>
		
		<th>login</a></th>
		<th>Age</a></th>
		<th>Temps Utilis&eacute;</a></th>
		<th></th></thead><tbody> 
					
             <?php
    
                    for ($i=1; $i<=$nb; $i++)
                    {
                        $row = mysqli_fetch_array($result) ;
                        $credit  = getTime($row["temps_user"]);
						$age = date('Y')-$row["annee_naissance_user"];
						$utilise = getTempsCredit($row["id_user"],$date1,$date2);
                        if ($row["temps_user"]==999)
                        {
                            $credit = "Infini";
                        }
                        if($row['status_user']==2){
                            $class="text-muted" ;
                        }else{
                            $class="" ;}
                            
                        echo "<tr class=".$class.">
				<td>".$row["nom_user"]."</td>
				<td>".$row["prenom_user"]."</td>
				
				<td>".$row["login_user"]."</td>
				<td>".$age." ans</td>
				<td>".getTime($utilise['util'])."</td> ";
			if($row["status_user"]==4 and $_SESSION["status"]==3){	
				echo '<td></td></tr>';
			}else{
                             echo "<td><a href=\"index.php?a=1&b=2&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn btn-primary btn-sm\" data-toggle=\"tooltip\" title=\"fiche adhrent\"><i class=\"fa fa-edit\"></i></button></a>&nbsp;<a href=\"index.php?a=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-navy btn-sm\"  data-toggle=\"tooltip\" title=\"transactions\"><i class=\"fa fa-bitcoin\"></i></button></a></td>
							 </tr>";
			}
                    }
            ?>
      </tbody> </table>
			</div></div>
			
<?php
		}
	}
}
else // si pas de recherche alors affichage classique
{
?>
    <div class="box box-info">
<?php
 switch($_GET['adh']) // on recupere le type de membre a afficher
    {
      default:
      case 1:
           $titleAdh = "Adh&eacute;rents actifs" ;
           $typeAdh = 1;
           $num = 2 ;
           $other = 'inactifs';
           $numOther=2;
          // $_SESSION['page']=1;
      break;
      case 2:                                     
           $titleAdh = "Adh&eacute;rents inactifs" ;
           $typeAdh = 2;
           $num = 3;   
           $other = 'actifs';
           $numOther=1;        
          // $_SESSION['page']=1;
      break;
    }
	
	//utilisation des utilisateurs par type actifs/inactifs
	$result=getAllUser($typeAdh);
	
	
    if (FALSE == $result)
    {
      echo getError(1);
    }
    else  // affichage du resultat
    {
    //$nb  = mysqli_num_rows($result);
	// count total number of appropriate listings:
	$tcount = mysqli_num_rows($result);
	$rpp = 25; // results per page
	
	// count number of pages:
	$tpages = ($tcount) ? ceil($tcount/$rpp) : 20;
	//debug($tpages);
	/// AJOUT PAGINATION
	$page   = intval($_GET['page']);
	$adjacents  = intval($_GET['adjacents']);
	if($page<=0)  $page  = 1;
	if($adjacents<=0) $adjacents = 4;
	$reload = $_SERVER['PHP_SELF'] . "?a=1&b=3&adh=".$typeAdh."&tpages=" . $tpages . "&amp;adjacents=" . $adjacents;
	/// Fin pagination
	
    if ($tcount > 0)
    {
    echo "<div class=\"box-header\"><h3 class=\"box-title\">".$titleAdh." : ".countUser($num)."/".countUser(1)."  ";
	if (countUser(3)>0){
		echo "&nbsp;(<a href=\"index.php?a=1&b=3&adh=".$numOther."\">afficher les ".$other."</a>)";
	}else{
		echo ""; }
		
    ?>
	</h3>
	<div class="box-tools pull-right"><?php  echo paginate_two($reload, $page, $tpages, $adjacents); ?>	</div><!-- /head -->
	<div class="box-body table-responsive"><table class="table table-bordered table-striped">
        <thead>
            <tr><th>Nom</th><th>Pr&eacute;nom</th><th>Nom d'utilisateur</th><th>Age</th><th>Derniere visite</th><th>&nbsp;</th></tr></thead>
            <?php
                $count = 0;
				$i = ($page-1)*$rpp;
				while(($count<$rpp) && ($i<$tcount)) {
					mysqli_data_seek($result,$i);
                        $row = mysqli_fetch_array($result) ;
						if ($row["lastvisit_user"] != "0000-00-00"){
							$dateusa = DateTime::createFromFormat('Y-m-d', $row["lastvisit_user"]);
							$datefr = $dateusa->format('d/m/Y');
						}else{
							$datefr="NC";
						}
						$age = date('Y')-$row["annee_naissance_user"];
						
                        echo "<tr><td>".$row["nom_user"]."</td>
                             <td>".$row["prenom_user"]."</td>
                             <td>".$row["login_user"]."</td>
							 <td>".$age." ans</td>
                             <td>".$datefr."</td>
                             <td><a href=\"index.php?a=1&b=2&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn btn-primary btn-sm\" data-toggle=\"tooltip\" title=\"Fiche adhrent\"><i class=\"fa fa-edit\"></i></button></a>
								 <a href=\"index.php?a=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-navy btn-sm\" data-toggle=\"tooltip\" title=\"transactions\"><i class=\"fa fa-bitcoin\"></i></button></a>
								 </td></tr>";
								 
					$i++;
					$count++;
								 
                    }
            ?>
    </table><br>
    <?php
        //if ($_SESSION['nbpager']!=0)
		
           echo '<div class="box-footer clearfix">' ;
           echo paginate_two($reload, $page, $tpages, $adjacents);
		   echo '</div>';
       
    }
   }

}
?>

	
</div></div>

