	
<?php
/*
    Statistiques des impresions
	nombre d'impressions par mois
	repartition par type couleur / N&B
	nombre de recharges par mois + total crdit
	nombre d'abonns qui impriment en %
*/
$year = date('Y') ;
$month = date('m') ;


$nbuserimprim = getstatimprim();
$nbTotal = getadherenttotal();
$varimp = round(($nbuserimprim*100)/$nbTotal);
// recuperation des tarifs disponibles
$tarifs=getTarifs(1); //1= impressions

?>

 <div class="row"><div class="col-md-6">
                     
 <div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Changer l'anne</h3></div>
<div class="box-body">

<?php echo '<a href="index.php?a=5&b=2&year='.(date('Y')-1).'&month=12&day=365&jour=6" class="bJour"> <button class="btn bg-navy btn-flat margin">'.(date('Y')-1).' </button></a>&nbsp;'; ?>
  <?php echo '<a href="index.php?a=5&b=2&year='.date('Y').'&month='.date('m').'" class="bJour"> <button class="btn bg-navy btn-flat margin"> Anne en cours</button></a>&nbsp;'; ?>
        </div><!-- /.box-body-->
</div><!-- /.box -->
 </div><!-- /.col -->
 
 <div class="col-md-6">
 <!-- DIV accs direct aux autres paramtres-->
 <div class="box"><div class="box-header"><h3 class="box-title">Statistiques</h3></div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=5&b=1"><i class="fa fa-users"></i>Adhrents<a>
			<a class="btn btn-app" href="index.php?a=5&b=2"><i class="fa fa-clock-o"></i>Rservations</a>
			<a class="btn btn-app disabled" href="index.php?a=5&b=3"><i class="fa fa-print"></i>Impressions</a>
			<a class="btn btn-app" href="index.php?a=5&b=5"><i class="fa fa-ticket"></i>Sessions</a>
			<a class="btn btn-app" href="index.php?a=5&b=4"><i class="fa fa-keyboard-o"></i>Ateliers</a>
			
			
		</div><!-- /.box-body -->
</div><!-- /.box -->
 
 </div><!-- /.col -->
 </div><!--/row-->

 <!-- Small boxes (Stat box) -->
 <div class="row">
	<div class="col-lg-3 col-xs-6">
		<!-- small box -->
		<div class="small-box bg-aqua">
			<div class="inner">
				<h3><!-- % d'abonnes qui impriment -->
					<?php echo getPourcent($nbuserimprim,$nbTotal); ?><!--<sup style="font-size: 20px">%</sup>-->
				</h3>
				<p>
				des abonns impriment
				</p>
			</div>
			<div class="icon">
				<i class="ion ion-android-printer"></i>
			</div>
		
		</div>
	</div><!-- ./col -->
	<div class="col-lg-3 col-xs-6">
		<!-- small box -->
		<div class="small-box bg-green">
			<div class="inner">
				<h3>
					<?php echo $nbTotal ; ?>
				</h3>
				<p>
					abonns actifs
				</p>
			</div>
			<div class="icon">
				<i class="ion ion-stats-bars"></i>
			</div>
			
		</div>
	</div><!-- ./col -->
 


 <?php // section comparaison n&b couleur
// total noir et blanc
	$NoirBlanc=getNBC("noir");
	$Couleur=getNBC("couleur");
	$nbN=getStatNC($NoirBlanc);
	$nbC=getStatNC($Couleur);
	$nbTotal=$nbN+$nbC;
	
?>
<!-- repartition NB // couleur -->
<div class="col-md-6">
	<div class="box box-primary">
		  <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Rpartition du type d'impression</h3></div>
	<div class="box-body">
		<div class="statBar">
					<div class="statText">Noir & blanc :</div>
					<div class="statBarContainDBlue">
						<div style="width:<?php echo getPourcent($nbN,$nbTotal); ?>;" class="statBarPourcentYellow">&nbsp;<?php echo getPourcent($nbN,$nbTotal); ?></div>
						</div>
		</div>
		<div class="clear"></div>
		<div class="statBar">
					<div class="statText">Couleur :</div>
					<div class="statBarContainDBlue">
						<div style="width:<?php echo getPourcent($nbC,$nbTotal); ?>;" class="statBarPourcentYellow">&nbsp;<?php echo getPourcent($nbC,$nbTotal); ?></div>
					</div>
		</div>
		<div class="clear"></div>
	</div>
	</div>

</div><!-- /col -->
</div><!--/row-->

<div class="row">
<div class="col-md-6">
<!-- Repartition des impressions par semaine -->
<?php
// Affichage du tableau de resultat tranche horaire par semaine et journee
// $mardi= somme dpense ce jour-l ! listes par journe
//$year="2013";
$mardi= statImprimJS('tuesday',$year);
$mercredi= statImprimJS('wednesday',$year);
$jeudi= statImprimJS('thursday',$year);
$vendredi= statImprimJS('friday',$year);
$samedi= statImprimJS('saturday',$year);
$totalAn=statImprimAn($year);
//debug($mardi);

?>

<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Les impressions dans la semaine (<?php echo $year; ?>)</h3></div>
<div class="box-body">
	<div class="statBar">
				<div class="statText">Mardi :</div>
				<div class="statBarContainPurple">
					<div style="width:<?php echo getPourcent($mardi,$totalAn); ?>;" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($mardi,$totalAn); ?></div>
				</div></div>
				<div class="clear"></div>
	<div class="statBar">
				<div class="statText">Mercredi :</div>
				<div class="statBarContainPurple">
					<div style="width:<?php echo getPourcent($mercredi,$totalAn); ?>;" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($mercredi,$totalAn); ?></div>
				</div></div>
				<div class="clear"></div>
	<div class="statBar">
				<div class="statText">Jeudi :</div>
				<div class="statBarContainPurple">
					<div style="width:<?php echo getPourcent($jeudi,$totalAn); ?>;" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($jeudi,$totalAn); ?></div>
				</div></div>
				<div class="clear"></div>
	<div class="statBar">
				<div class="statText">Vendredi :</div>
				<div class="statBarContainPurple">
					<div style="width:<?php echo getPourcent($vendredi,$totalAn); ?>;" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($vendredi,$totalAn); ?></div>
				</div></div>
				<div class="clear"></div>
	<div class="statBar">
				<div class="statText">Samedi :</div>
				<div class="statBarContainPurple">
					<div style="width:<?php echo getPourcent($samedi,$totalAn); ?>;" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($samedi,$totalAn); ?></div>
				</div></div>
			<div class="clear"></div>
</div>
</div>

 </div><!-- /.col -->
 
<div class="col-md-6">
<!-- impressions par mois -->
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Nombre d'impressions par mois ( en <?php echo $year; ?>)</h3></div>
	<div class="box-body">
	<table class="table"> 
		<thead><tr> 
			<th>&nbsp;</th>
			<th>Pages imprim&eacute;es</th>
			<th >Cr&eacute;dit</th>
			<th >Pages Noir et blanc</th>
			<th>Pages Couleur</th></tr></thead>
		
<?php
//tarifs
	$tNB=mysqli_fetch_array(getTarifs($NoirBlanc));
	$tarifNB=$tNB["donnee_tarif"];
	$tNB=mysqli_fetch_array(getTarifs($Couleur));
	$tarifC=$tNB["donnee_tarif"];
	
	
for ($i=1 ; $i<= $month;++$i)
{
   
	
	$pcouleur = getStatPages($i,$year,$Couleur);
	$pNoirBlanc=getStatPages($i,$year,$NoirBlanc);

	$totalcouleur=$totalcouleur+$pcouleur;
	$totalNoirBlanc=$totalNoirBlanc+$pNoirBlanc;
	$credit=($totalNoirBlanc*$tarifNB)+($totalcouleur*$tarifC);
	//total des pages
	$pagesimprime=$totalNoirBlanc+$totalcouleur;
	$totalpages=$totalpages+$pagesimprime;
	$totalcredit=$totalcredit+$credit;
	
    echo '<tr><td align="right"><a href="">'.getMonth($i).'</a></b>&nbsp;&nbsp;</td>
              <td >'.$pagesimprime.'</td>
			  <td>'.$credit.' &euro;</td>
			  <td>'.$totalNoirBlanc.'</td>
			  <td>'.$totalcouleur.'</td></tr>';
}

	
?>
	<tr ><td>Totaux</td>
				<td ><?php echo $totalpages; ?></td>
				<td><?php echo $totalcredit.'('.$crediteuros.'&euro;)'?></td>
				<td ><?php echo $totalNoirBlanc; ?></td>
				<td ><?php echo $totalcouleur; ?></td></tr>

			
</table>
</div></div>
 </div><!--/row-->



