<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas


***********///// Transactions de l'adhrent **********************//
/* renouvellement adhsion
lien vers impressions
achat forfait atelier */

$id_user = $_GET["iduser"];
//gestion des erreurs
$mesno  = $_GET["mesno"];
if ($mesno !="")
{
  echo getError($mesno);
}

// suppression d'un forfait d'un compte usager
if(isset($_GET["act"])){
	$transac=$_GET["transac"];
	$act=$_GET["act"];
	if($act=="del"){
			if(FALSE==delForfait($transac)){
				 header("Location: ./index.php?a=6&mesno=0&iduser=".$id_user);
			}else{
				header("Location: ./index.php?a=6&mesno=35&iduser=".$id_user);
			}
		}
	
}

// Information Utilisateur
$row = getUser($id_user);
$dateinsc     =  $row["date_insc_user"];
$daterenouv=$row["dateRen_user"];
$nom      =  $row["nom_user"];
$prenom   =  $row["prenom_user"];
$tarif=$row["tarif_user"];
$tarifs=getTarifsbyCat(2);
$prixtarif=$tarifs[$tarif];
		
//paiements en attente adhesion
$paiementAttente=Testpaiement($id_user);
//affichage du bouton renouvellement si -7 jours
$datetime1 = date_create($daterenouv);
$datetime2 = date_create(date("Y-m-d"));
$interval = date_diff($datetime2, $datetime1);

//Statut des forfaits
$forfaitArray=array(
	0=>"En attente de paiement",
	1=>"Pay"
	);
$arraystatutforfait=array(
	1=>"En cours",
	2=>"Archiv"
	);
	
	
//nombre d'inscriptions en cours + lien vers historique atelier
$nbASencours=getnbASUserEncours($id_user,0) ; // 0= inscription en cours non valide
//nombre d'inscriptions valides hors forfait
$nbvalide=getnbASUservalidees($id_user); // 1= total inscrit et valid
$nbForfait=getForfaitAchete($id_user); // total des ateliers achets
$nbrestant=$nbForfait-$nbvalide; //restant apres dpense

if($nbrestant>=0){
	$nbHorsForfait= "aucune";
	}else{
	$nbHorsForfait= "<span class=\"text-red\">".abs($nbrestant)."&nbsp;&nbsp;</span><span class=\"btn bg-red btn-xs\" data-toggle=\"tooltip\" title=\"Ces ateliers n'ont pas t pays !\"><i class=\"fa fa-warning\"></i></span>";
	}

?>
<div class="row"> <!-- division en 3 rows par ligne -->

<!--Adhesion et renouvellement --><div class="col-md-5">
<div class="box box-solid box-primary"><div class="box-header"><h3 class="box-title">Adhsion</h3></div>
	<div class="box-body">
		<dl class="dl-horizontal">
		<dt>Adhrent </dt><dd><?php echo $prenom." ".$nom ;?> </dd>
		<dt>Date de 1er adhsion</dt><dd> le <span class="text-success"><b><?php echo dateFR($dateinsc) ?></b></span></dd>
		<dt>Tarif</dt><dd><span class="text-success"><b><?php echo $prixtarif ; ?></b></span>.</dd>
		<dt>Renouvellement prvu </dt><dd> le <span class="text-red"><b><?php echo dateFR($daterenouv) ;?></b></span></dd>
		</dl>
		<?php
		if (mysqli_num_rows($paiementAttente)){
		$row=mysqli_fetch_array($paiementAttente);
			if (in_array($tarif,$row)){
				echo "<p class=\"lead\"><span class=\"text-red\">Attention le paiement est toujours en attente</span></p>
				 <a href=\"index.php?a=21&b=3&typetransac=adh&idtransac=".$row["id_transac"]."&iduser=".$id_user." \"><input type=\"submit\" value=\"Encaisser\" class=\"btn bg-default\"></a>
				";
			}
			}
		?>
		
		</div>
		<div class="box-footer">
		<?php 
		if (($interval->format('%a'))<10 OR ($daterenouv < date("Y-m-d"))){
		 echo "<a href=\"index.php?a=21&b=3&typetransac=adh&iduser=".$id_user." \"><input type=\"submit\" value=\"Renouveller l'adhsion\" class=\"btn bg-default\"></a>";
		 }
		 ?>
		<a href="index.php?a=1&b=2&iduser=<?php echo $id_user ; ?>"><button class="btn btn-default" type="submit"> <i class="fa fa-arrow-circle-left"></i> Retour  la fiche adh&eacute;rent</button></a> </div>	
</div>
</div>


<!--Achat forfaits -->
<!-- division en 3 rows par ligne -->
<div class="col-md-7"><div class="box box-solid box-success"><div class="box-header"><h3 class="box-title">Forfait atelier</h3></div>
	<div class="box-body">
	<p>Inscription en cours et non valides : <b><?php echo $nbASencours ; ?></b>&nbsp;&nbsp;&nbsp;&nbsp;<a href="index.php?a=5&b=6&iduser=<?php echo $row["id_user"];?>" class="btn btn-primary btn-xs">Voir les inscriptions</a></p>
	<p>Inscription valides hors forfait : <b><?php echo $nbHorsForfait ; ?></b></p>
	
	
	<?php
	/// forfait atelier utilisateur
	$tariforfaits=getTarifsbyCat(5);
	$row=array_keys($tariforfaits);
	for($t=0;$t<count($row);$t++){
		$result=getAllForfaitUser($id_user,$row[$t]);
		
		if (isset($result)){
		$forfait_user[]=$result;
		}
	}
	
	$nbf=count($forfait_user);
	
	if ($nbf==0){
		echo "<p>l'adhrent n'a souscrit  aucun forfait atelier</p>";
	}else{
		?>
	
	<div class="table"><table class="table"><thead><th>Nom du Tarif</th><th>Date d'achat</th><th>Nbr</th><th>Dpens</th><th>Statuts</th><th></th><th></th></thead>
	<?php
	
	for($f=0;$f<$nbf;$f++){
		$rowf=$forfait_user[$f];
		$nomTarif=getNomTarif($rowf["id_tarif"]);
			
		//**** le chiffre issu de la table rel
		$rowforfait=getForfaitDonnesbyID($rowf['id_transac'],$id_user);
		$achete=$rowforfait["total_atelier"];
		$depense=$rowforfait["depense"];
		$statutachat=$forfaitArray[$rowf['status_transac']];
		$statutforfait=$arraystatutforfait[$rowforfait["statut_forfait"]];
				
	?>
		<tr><td><?php echo $nomTarif; ?></td>
			<td><?php echo $rowf["date_transac"]; ?></td>
			<td><?php echo $achete; ?></td>
			<td><?php echo $depense; ?></td>
			<td><?php echo $statutachat ; ?></td>
			<td><?php echo $statutforfait ; ?></td>
			<td><a href="index.php?a=21&b=3&typetransac=forfait&idtransac=<?php echo $rowf["id_transac"]; ?>&iduser=<?php echo $id_user; ?>" ><button type="button"  data-toggle="tooltip"  title="Modifier/Encaisser" class="btn btn-info btn-sm"><i class="fa fa-edit"></i></button></a>
			<a href="index.php?a=6&act=del&transac=<?php echo $rowf["id_transac"]; ?>&iduser=<?php echo $id_user; ?>"><button type="submit" name="submit" class="btn btn-warning btn-sm"  data-toggle="tooltip"  title="Supprimer"><i class="fa fa-trash-o"></i></button></a></td></tr>
	
	
	<?php
	}
	echo "</table></div>";
	}
	?>
	</div>
	<?php if($depense==$achete){ ?>
	<div class="box-footer"> <a href="index.php?a=21&b=3&typetransac=forfait&iduser=<?php echo $id_user ; ?>"><input type="submit" value="Ajouter un forfait" class="btn bg-default"></a></div>	
	<?php } ?>
</div>
</div>

</div><!-- FIN ROW 1 -->

