<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 
*/

// Fichier de configuration de l'espace utilisateur
// #############################################################################
// menu niveau 2 : ADMINISTRATEUR
// #############################################################################
if ($_SESSION["status"]==4)
{
  switch ($a)
  {
    case 1:  // ADHERENT
         switch ($b)
         {
             case 1:  // Creation d'un adherent
                  $titre="Cr&eacute;ation d'un adh&eacute;rent" ;
                  $aide="Cr&eacute;ation d'un adh&eacute;rent, n'oubliez pas de prcisez le statut afin de permettre a l'utilisateur de r&eacute;servez une machine";
                  include ("include/post_user.php");
                  $inc="admin_form_user.php";
             break;
             case 2:  // Modification d'un adherent
                  $titre="Modifier un adh&eacute;rent";
                  include ("include/post_user.php");
                  $inc="admin_form_user.php";
             break;
		case 3:
		 $titre="Liste compl&egrave;te des adh&eacute;rents";
                  $aide="pour une recherche plus rapide vous pouvez utiliser le moteur de recherche, attention 3 lettres minimum sinon pas de recherche !"  ;
                  $inc="admin_list_fulluser.php";
             break;
	     
	     
             default: // Liste des adherents
                  $titre="Liste des adh&eacute;rents";
                  $aide="pour une recherche plus rapide vous pouvez utiliser le moteur de recherche, attention 3 lettres minimum sinon pas de recherche !"  ;
                  $inc="admin_list_user.php";
             break;
         }
    break;
	
    case 2:   // materiel
         switch ($b)
         {
             case 1:  // Creation d'un materiel
                      $titre="Cration d'un poste";
                      $aide="Cr&eacute;er un poste permet a un adh&eacute;rent de r&eacute;server ce poste si vous cocher la case \"NON (usage interne)\" dans ce cas le poste existe mais uniquement pour les interventions de maintenance de mat&eacute;riel";
                      include ("include/post_materiel.php");
                      $inc="admin_form_materiel.php";
             break;
             case 2:  // Modification d'un materiel
                      $titre="Modification d'un poste";
                      include ("include/post_materiel.php");
                      $inc="admin_form_materiel.php";
             break;
             default: // Liste du materiel
                      $titre="Liste du matriel informatique";
                      $aide="Affichage de tous les postes utilisables par les adh&eacute;rents ainsi que tous les postes internes";
                      include ("include/post_materiel.php");
                      $inc="admin_config_materiel.php";
             break;
         }
    break;
    case 3:    //Intervention
        switch($b)
        {
            case 1: // creation d'une intervention
                $titre  ="Cr&eacute;er une intervention";
                $aide   ="Cr&eacute;er une intervention permet de signaler un probleme ou une p&eacute;riode de maintenance dans l'espace et ainsi bloquer les reservations de materiel";
                include ("include/post_inter.php");
                $inc    ="admin_form_inter.php";
            break;
            default: // liste des interventions
                $titre  ="Liste des interventions";        
                $aide  = "Consulter la liste des interventions, en gris les interventions termin&eacute;s et en orange les interventions non trait&eacute;es";
                include ("include/post_inter.php");
                $inc= "admin_intervention.php";
            break;
                    
         }
    break;
    case 4:    // breve
         switch ($b)
         {
             case 1:  // Creation d'une breve
                      $titre="Cr&eacute;ation d'une br&egrave;ve";
                      $aide="Communiquez avec vos adh&eacute;rents ou entre animateurs/administrateurs c'est possible il suffit bien cocher la case public ou interne";
                      include ("include/post_breve.php");
                      $inc="admin_form_breve.php";
             break;
             case 2:  // Modification d'une breve
                      $titre="Modification d'une br&egrave;ve";
                      include ("include/post_breve.php");
                      $inc="admin_form_breve.php";
             break;
             default:
                      $titre="Liste des br&egrave;ves";
                      $aide ="Les breves sur fond gris sont visibles par tout le monde, les autres seulement par les administrateurs et animateurs";
                      include ("include/post_breve.php");
                      $inc="admin_breve.php";
             break;
         }
    break;
	
	//** Les statistiques **///
    case 5:
		switch ($b)
         {
			case 1: // statistique utilisateurs
				$titre="Statistiques sur les Adhrents";
				include ("fonction_stat.php");
				$inc="admin_stat_user.php";
			break;
			case 2://statistique reservations
				$titre="Statistiques sur les Rservations";
				include ("fonction_stat.php");
				$inc="admin_stat_resa.php";
			break;
			case 3 : //statistique impressions
				$titre="Statistiques d'Impressions";
				include ("fonction_stat.php");
				$inc="admin_stat_print.php";
			break;
			case 4 : //statistique ateliers
				$titre="Statistiques sur les Ateliers";
				include ("fonction_stat.php");
				$inc="admin_stat_atelier.php";
			break;
			case 5 ://statistique Session
				$titre="Statistiques sur les Sessions";
				include ("fonction_stat.php");
				$inc="admin_stat_session.php";
			break;
			case 6:
				$titre="Historique et statistique atelier d'un adhrent";
				include ("fonction_stat.php");
				$inc="admin_stat_uhisto.php";
				
			break;
			
			default:
				$titre="Statistiques globales";
				include ("fonction_stat.php");
				$inc="admin_statistic.php";
			break;
		}
    break;
	
	case 6:
	  $titre="Les transactions de l'adhrent";
         $aide="Mouvements archivs sur le compte de l'adhrent : impressions, ateliers, achats divers";
        // include("include/post_url.php") ;
         $inc="admin_user_transactions.php";
	break;
	
	case 7:
	$titre="Paramtrages annexes des ateliers et sessions";
	$inc="admin_config_atelier.php";
	break;
	
	case 8:
	$titre="Liste des adhrents avec forfait atelier";
	$inc="admin_list_abonnements.php";
	break;
	
	
 
    case 10:
         $titre="Gestion des liens favoris";
         $aide="Ins&eacute;rer des liens utiles &agrave; vos adh&eacute;rents";
         include("include/post_url.php") ;
         $inc="admin_url.php";
    break;
	
	
	//*** GESTION DES ATELIERS **///
	case 11:
         $titre="Liste des ateliers";
         $aide="Creer, et administrer des ateliers de formations pour vos adherents";
         include ("include/post_atelier.php");
		 $inc="admin_atelier_liste.php";
    break;
	 case 12:
         $titre="Planification d'un atelier";
         $aide="Creer, et administrer des ateliers de formations pour vos adherents";
         include ("include/post_atelier.php");
         $inc="admin_form_atelier.php";
    break;
    case 13:
         $titre="Dtail d'un atelier";
         $aide="Grer les participants  l'atelier";
          include ("include/post_atelier_presence.php");
		  $inc="admin_atelier.php";
    break;
   
   	case 14:
         $titre="Modification la planification d'un atelier";
         $aide="Modifier des ateliers de formations pour vos adherents";
         include ("include/post_atelier.php");
         $inc="admin_form_atelier.php";
    break;
	case 15:
	     $titre="Cr&eacute;ation  d'un atelier";
         $aide="Cr&eacute des ateliers de formations pour vos adherents";
         include ("include/post_newatelier.php");
         $inc="admin_form_newatelier.php";
    break;
	case 16:
         $titre="Gestion des prsences  un atelier";
         $aide="gestion des ateliers de formations";
		 include ("include/post_atelier_presence.php");
         $inc="admin_atelier_presence.php";
		
    break;
	
case 17: 
		$titre="Modification d'un sujet d'atelier ";
		$aide="Modification des intitules";
		$inc="admin_atelier_modif.php";
		include ("include/post_newatelier.php");
break;
	
	
	
	/*
	case 18:
         $titre="Liste des r&eacute;servations par adherent et par semaine";
         $aide="Liste des r&eacute;servations par adherent et par semaine";
         $inc="user_weekresa.php";
    break;*/
	
	
	//ajout des impressions
	case 21:
		switch($b)
			{
			case 1: // Dtail Compte d'imression d'un adhrent
				$titre  ="Historique d'impression de l'adherent";
				$aide   ="Historique des impressions d'un adherent, mettre de l'argent sur un compte adherent";
				// include ("include/post_print.php");	
				$inc    ="admin_print.php";
			    break;
			case 2:  // crditer d'un compte d'impression
				$titre="Crediter ou debiter d'un compte d'impression";
				$aide="Modifier les entr&eacute;es d'un cr&eacute;dit ou d&eacute;bit.";
			    include ("include/post_print.php");
				$inc="admin_form_print.php";
			break;
			case 3:
			     $titre="modifier une transaction";
			      $aide="Transactions diverses";
			     include ("include/post_transac.php");
			     $inc="admin_modif_transac.php";
			break;
			     
			 default: // liste des impressions
				$titre="Liste des comptes d'impressions";
				$aide="G&eacute;rer les impressions des adh&eacute;rents";
				
				$inc="admin_liste_print.php";
			    break;
			 }
	break;
	
	// les archives
	case 22:
		$titre="Archives des Ateliers";
         $aide="Archives des Ateliers";
         $inc="admin_atelier_archive.php";
	break;
	
	//Gestion anim & admin
	 case 23:
         $titre="Gestion des administrateurs et des animateurs";
         $aide="Creer, gerer vos administrateurs, et les animateurs de l'espace";
         $inc="admin_config_anim.php";
    break;
    
     case 24:  // INSCRIPTION
         switch ($b)
         {
             case 1:  // Creation d'un adherent
                  $titre="Validation d'une pr&eacute;-inscription" ;
                  $aide="Cr&eacute;ation d'un adh&eacute;rent, n'oubliez pas de prcisez le statut afin de permettre a l'utilisateur de r&eacute;servez une machine";
                  include ("include/post_inscription.php");
                  $inc="admin_form_inscription.php";
             break;
             default: // Liste des prinscription
                  $titre="Liste des pr&eacute;-inscriptions";
                  $aide="pour une recherche plus rapide vous pouvez utiliser le moteur de recherche, attention 3 lettres minimum sinon pas de recherche !"  ;
                  $inc="admin_inscription.php";
             break;
         }
    break;
    
     case 25:
         include ("include/post_config_epnconnect.php");
         $titre="Configuration d'EPN-Connect ";
         $aide="Permet de modifier les parametres de l'application EPN-Connect";
         $inc="admin_config_epnconnect.php";
    break;
		
	//**GESTION DES SESSIONS **///
	case 30:
         $titre="Dtail d'une session";
         $aide="gestion des inscriptions aux sessions";
         $inc="admin_session.php";
	include ("include/post_session.php");
	break;
	
	case 31:
         $titre="Planifier une session";
         $aide="Planifier une session";
         $inc="admin_form_session.php";
	include ("include/post_session.php");
	break;	
	case 32:
         $titre="Validation des prsences  une session";
         $aide="gestion des sessions de formations";
         $inc="admin_session_presence.php";
	 include("include/post_session_presence.php");
	break;	
    
    //courriers
	case 33:
         $titre="Gestion des courriers";
         $aide="Gestion des courriers pour les adh&eacute;rents";
         $inc="atelier_courrier.php";
    break;
    
    //suite sessions
	    case 34:
		 $titre="creation des sujets des sessions";
		 $aide="Cration des sessions dans la base";
		 $inc="admin_form_createsession.php";
		include ("include/post_createsession.php");
	    break;	
	case 35:
		$titre="Modification du sujet d'une session ";
		$aide="Modification des intitules";
		$inc="admin_session_modif.php";
		include ("include/post_createsession.php");
				
	    break;	
	
	case 36:
         $titre="Archives des sessions";
         $aide="Consulter les sessions archives";
         $inc="admin_session_archive.php";
		 include("include/fonction_stat.php");
	break;	
	
	case 37:
	  $titre="Liste des sessions programmes";
         $aide="Consulter les sessions ";
         $inc="admin_session_list.php";
		 include ("include/post_session.php");
	 break;
	
	//**GESTION DES CONFIGURATIONS **///
	
	//villes
    case 41:
         $titre="Gestion des villes";
         $aide ="Si vous souhaitez ajouter modifier ou supprimer une ville dans les adh&eacute;rents c'est ici que ca se passe";
         $inc="admin_config_city.php";
    break;
	
    // Horaire de l'epn principal //
    case 42:
         include ("include/post_config_horaires.php");
         $titre="Configuration de cybermin et de votre espace ";
         $aide="Permet de modifier les parametres de l'application Cybermin";
         $inc="admin_config_horaires.php";
    break;
	//EPN
	case 43:
		switch ($b)
         {
             case 1:  // Creation d'un EPN
                      $titre="Cration d'un EPN";
                      $aide="Cr&eacute;er un poste permet a un adh&eacute;rent de r&eacute;server ce poste si vous cocher la case \"NON (usage interne)\" dans ce cas le poste existe mais uniquement pour les interventions de maintenance de mat&eacute;riel";
                      include ("include/post_epn.php");
                      $inc="admin_form_epn.php";
             break;
             case 2:  // Modification d'un EPN
                      $titre="Modification d'un EPN";
                      include ("include/post_epn.php");
                      $inc="admin_form_epn.php";
             break;
             default: // Liste des EPN
                      $titre="Liste des EPN";
                      $aide="Affichage de tous les salles";
                      include ("include/post_epn.php");
                      $inc="admin_config_epn.php";
             break;
         };
	 break;
	 
	case 44: // SALLES
		switch ($b)
			{
				 case 1:  // Creation d'une salle
						  $titre="Cration d'une salle";
						  $aide="";
						  include ("include/post_salle.php");
						  $inc="admin_form_salle.php";
				 break;
				 case 2:  // Modification d'une salle
						  $titre="Modification d'une salle";
						  include ("include/post_salle.php");
						  $inc="admin_form_salle.php";
				 break;
				 default: // Liste des salles
						  $titre="Liste des salles";
						  $aide="Affichage de tous les salles";
						  include ("include/post_salle.php");
						  $inc="admin_config_salle.php";
				 break;
			}
	 break;
	 
	 case 45:
         $titre="Console";
         $aide="Gerer vos postes";
        include ("include/console.php");
         $inc="admin_console.php";
    break;
	 case 46:
         $titre="Usages disponibles pour les Adhrents";
         $aide="Vous pouvez g&eacute;rer les usages des postes tel que l'acces Internet, la gravure, la possibilit&eacute; d'imprimer, une webcam, etc. ";
         $inc="admin_config_usage.php";
    break;
    
	 case 47 :
		$titre="Gestion des tarifs";
		$aide="Remplissez les tarifs proatiqus dans vos espaces";
		$inc="admin_config_tarifs.php";
	break;
	
	 case 48:
         $titre="Utilisation disponibles pour les postes";
         $aide="Vous pouvez g&eacute;rer les utilisations des postes tel que l'acces Internet, la gravure, la possibilit&eacute; d'imprimer, une webcam, etc. ";
         $inc="admin_config_utilisation.php";
    break;
    
	 
	case 49:
         $titre="Gestion de la base de donn&eacute;es";
         $aide="N'oubliez de sauvegarder r&eacute;gulieremnt vos donn&eacute;es car on n'est jamais a l'abris d'une mauvaise manip. ou d'un crash machine.<br>Pour restaurer merci de vous adresser a votre responsable technique";
         include ("include/class/class_db.php");
         include ("include/post_bdd.php");
         $inc="admin_bdd.php";
    break;
	
	
	case 50:
	$titre="Gestion des profils animateurs";
	$aide="indiquez l'epn de rattachement de l'animateur et ses salles";
	$inc="admin_form_configanim.php";
	include ("include/post_animateurs.php");
    break;
    
    case 51: //creation d'un animateur form simplifi // modification des profils anim
	switch ($b)
	{
		case 1:
		 $titre="Cr&eacute;ation d'un animateur" ;
                  $aide="Cr&eacute;ation d'un animateur";
                  include ("include/post_user.php");
                  $inc="admin_form_useranim.php";
             break;
		case 2:
		$titre="Modification d'un animateur" ;
                  $aide="Modification d'un animateur";
                  include ("include/post_user.php");
                  $inc="admin_form_useranim.php";
             break;
	     
	}
	break;
	
 //credits et remerciements !
  case 60:
 $titre="Cr&eacute;dits dveloppement et remerciement";
 $aide="";
 $inc="credits.php";
 break;

//mises  jour
case 61:
$titre="Mise  jour de version";
 include ("fonction_maj.php");
include ("include/class/backup.php");
 $inc="miseajour.php";
break;
	

  }
 
  
}
?>
