<?php



//-------------------------
// Fonctions additionnelles
function csv_to_array($filename, $delimiter)
{
    if(!file_exists($filename) || !is_readable($filename))
        return FALSE;

    $header = NULL;
    $data = array();
    if (($handle = fopen($filename, 'r')) !== FALSE)
    {
    	$lines = file($filename);
  foreach($lines as $line) {
	    $values = str_getcsv($line, $delimiter, $enclosure='"', $escape='\\');
	    if(!$header) $header = $values;
	    else $data[] = array_combine($header, $values);
	  }

        fclose($handle);
    }
        
    return $data;
}

function gFilelog($texte,$titre)
{
$pathfichier="logs/".$titre;
 $fp = fopen($pathfichier, "a+");
fseek($fp,SEEK_END);
fputs ($fp, $texte);
fclose ($fp);

}

//Retourne le numero de version du cybergestionnaire
function getVersion($id)
{
$sql="SELECT `name_config` FROM `tab_config` WHERE `id_epn`=".$id."";
  $db=opendb();
$result = mysqli_query($db,$sql);
   closedb($db);	
	 if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $row=mysqli_fetch_array($result);
		return $row["name_config"];
    }


}


//-------------------------
//Liste des prets de cable
function getStatPret($month,$year)
{
$sql="SELECT COUNT(id_pret) AS nbpret
		FROM tab_pretcable
		WHERE pret_date BETWEEN '".$year."-".$month."-01' AND '".$year."-".$month."-31'
	";
$db=opendb();
$result = mysqli_query($db,$sql);
 closedb($db);
 if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $row=mysqli_fetch_array($result);
		$nbpret=$row['nbpret'];
      return  $nbpret ;
		
    }
}
//statistique duree de pret par cable
function getstatPretDuree($month,$year)
{
$sql="SELECT SUM(pret_heure2) as nb2, SUM(pret_heure1) as nb1
	FROM tab_pretcable
	WHERE pret_date BETWEEN '".$year."-".$month."-01' AND '".$year."-".$month."-31'
	";
$db=opendb();
$result = mysqli_query($db,$sql);
 closedb($db);
 if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return $result;
    }
}


function ListPretCable($month,$year)
{
$month1=$month-1;

$sql="SELECT * FROM tab_pretcable
	WHERE pret_date BETWEEN '".$year."-".$month1."-01' AND '".$year."-".$month."-31'
	ORDER BY pret_date DESC
	";
$db=opendb();
$result = mysqli_query($db,$sql);
 closedb($db);
 if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return $result;
    }
}

//retourne les infos sur le pret a modifier
function getinfopret($id)
{
$sql="SELECT * FROM tab_pretcable
		WHERE id_pret='".$id."' 
	";
  $db=opendb();
$result = mysqli_query($db,$sql);
   closedb($db);	
	 if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return mysqli_fetch_array($result);
    }
}
///liste des resas pour le mois en cours page user_resa
function getUserResaById($id,$m,$y)
{
$sql="SELECT `id_resa`,`dateresa_resa`,`debut_resa`,`duree_resa`,nom_computer FROM tab_resa 
          INNER JOIN tab_computer ON id_computer=id_computer_resa
          WHERE `id_user_resa`=".$id."
			AND `dateresa_resa` BETWEEN '".$y."-".$m."-01' AND '".$y."-".$m."-31'
			ORDER BY `dateresa_resa` ASC , `debut_resa` ASC
	";
    
    $db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if(FALSE == mysqli_num_rows($result))
    {
        return FALSE ;
    }
    else
    {
        return $result ;
    }
}

//Liste les adherents qui ont une reservation en cours
function Listadhresa($date1,$date2)
{
$sql="SELECT id_user_resa, nom_user, prenom_user
		FROM tab_resa, tab_user
		WHERE tab_user.id_user=tab_resa.id_user_resa
		AND dateresa_resa BETWEEN '".$date1."' AND '".$date2."'
		AND status_resa !=1
		";
	$db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if(FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return $result;
    }

}


//fonction qui calcule le temps credite par semaine


// renvoi toutes les reservations des utilisateurs sur 1 semaine
function getAllResaById($date1,$date2)
{
    $sql="SELECT id_resa,`dateresa_resa`,`debut_resa`,`duree_resa`,nom_computer,nom_user, prenom_user
			FROM tab_resa, tab_user,tab_computer
			WHERE tab_user.id_user=tab_resa.id_user_resa
			AND id_computer=id_computer_resa
			AND dateresa_resa BETWEEN '".$date1."' AND '".$date2."'
			ORDER BY `dateresa_resa` ASC , `debut_resa` ASC";
    
    $db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if(FALSE == mysqli_num_rows($result))
    {
        return FALSE ;
    }
    else
    {
        return $result ;
    }
}


// fonction qui renvoi le total temps des resa d'un utilisateur par semaine
function getResaUserByWeek($date1,$date2,$iduser)
{
 $sql="SELECT SUM(duree_resa) AS utilise
        FROM tab_resa
        INNER JOIN tab_user ON id_user=id_user_resa
        WHERE id_user_resa=".$iduser."
		AND dateresa_resa BETWEEN '".$date1."' AND '".$date2."'
        ";

    $db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
   if ($result==FALSE)
	{
      return FALSE;
	}
    else
	{
      return  mysqli_fetch_array($result) ;
	}

}



function numToDate($quant, $annee)
{
	 $date = strtotime("+".($quant)." day", mktime(12, 0, 0, 01, 01, $annee));
	return date("Y-m-d", $date);
}



//////FONCTIONS SUR LES ateliers//////
//
function addCategorie($nom)
{
$sql="INSERT INTO `tab_atelier_categorie`(`id_atelier_categorie`, `label_categorie`) VALUES ('','".$nom."')";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}
	
}
function modCategorie($id,$nom)
{
$sql="UPDATE `tab_atelier_categorie` SET `label_categorie`='".$nom."' WHERE `id_atelier_categorie`='".$id."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}

}

function supCategorie($id)
{
$sql="DELETE FROM tab_atelier_categorie WHERE id_atelier_categorie='".$id."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}
}


function addNiveau($nom)
{
$sql="INSERT INTO `tab_level`(`id_level`, `code_level`,`nom_level`) VALUES ('','','".$nom."')";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}
	
}
function modNiveau($id,$nom)
{
$sql="UPDATE `tab_level` SET `nom_level`='".$nom."' WHERE `id_level`='".$id."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}

}

function supNiveau($id)
{
$sql="DELETE FROM `tab_level` WHERE id_level='".$id."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE==$result)
{
	return FALSE;
}
else{
	return TRUE;
	}
}

function getAllAnim(){
$sql="SELECT id_user, nom_user, prenom_user FROM tab_user
WHERE  status_user=3
ORDER BY nom_user ASC
";
 $db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
        $sujet = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $sujet[$row["id_user"]] = $row["nom_user"]." ".$row["prenom_user"] ;
        }
        return $sujet ;
    }
}

function getAllSalleAtelier()
{
$sql="SELECT id_salle, nom_salle FROM tab_salle ORDER BY nom_salle ASC";
$db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
        $sujet = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $sujet[$row["id_salle"]] = $row["nom_salle"] ;
        }
        return $sujet ;
    }

}




function searchUserAtelier($exp)
{
    $sql="SELECT `id_user` , `nom_user` , `prenom_user`
        FROM `tab_user`
        WHERE `nom_user` LIKE '%".$exp."%'
        OR `prenom_user` LIKE '%".$exp."%'
		
       
        ORDER BY `nom_user` ASC";
    $db=opendb();
    $result = mysqli_query($db,$sql);
     closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
        return $result ;
    }
}
// chercher tous les adhrents inscrits aux ateliers.
function getAllUserAtelier($m)
{
$an=date('Y')."-01-01";

$sql="SELECT DISTINCT nom_user,prenom_user, mail_user,tel_user, rel.id_user
	FROM `rel_atelier_user` AS rel, tab_atelier AS atelier, tab_user AS coor
	WHERE rel.`id_atelier`=atelier.`id_atelier`
	AND atelier.date_atelier > '".$an."'
	AND rel.id_user=coor.id_user
	ORDER BY nom_user ASC";
  
  $db=opendb();
  $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}
function getAllUserAtelierMois($y,$m)
{
$an=$y."-".$m."-01";
$anf=$y."-".($m+2)."-31";

$sql="SELECT DISTINCT nom_user,prenom_user, mail_user,tel_user, rel.id_user
	FROM `rel_atelier_user` AS rel, tab_atelier AS atelier, tab_user AS coor
	WHERE rel.`id_atelier`=atelier.`id_atelier`
	AND atelier.date_atelier BETWEEN '".$an."' AND '".$anf."'
	AND rel.id_user=coor.id_user
	ORDER BY nom_user ASC";
  
  $db=opendb();
  $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}


function MakePDFUserAtelier($y,$m)
{
$an=$y."-".$m."-01";
$anf=$y."-".($m+2)."-31";

$sql="SELECT DISTINCT id_user
	FROM rel_atelier_user AS r
	LEFT JOIN tab_atelier AS a ON r.id_atelier = a.id_atelier
	WHERE a.date_atelier BETWEEN '".$an."' AND '".$anf."'
	";
  
  $db=opendb();
  $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      //$row=mysqli_fetch_array($result);
	  return $result;
  }
}

function getAttenteAtelier($idatelier)
{
   $sql = "SELECT `id_rel_atelier_user` FROM `rel_atelier_user` WHERE `id_atelier`=".$idatelier." 
	AND `status_rel_atelier_user`= 2 ";
   $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
   if (FALSE != $result)
   {
      return mysqli_num_rows($result) ;
   }
}


function getMyFutAtelier($y, $m, $d)
{
if ($y==date('Y')){
	
	$sql= "SELECT *
			FROM `tab_atelier` 
			WHERE `date_atelier` BETWEEN '".$y."-".$m."-".$d."' AND '".$y."-12-31'
			ORDER BY `date_atelier` ASC";
			
	}
	else if ($year>date('Y')){
	
	$sql="SELECT *
			FROM `tab_atelier` 
			WHERE `date_atelier` BETWEEN '".$y."-01-01' AND '".$y."-12-31'
			ORDER BY `date_atelier` ASC";
	
	}		
		$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return $result;
	  }


}

/// Update du statut de l'atelier
function UpdateAtelierStatut($id,$statut)
{
$sql="UPDATE `tab_atelier` SET `statut_atelier`=".$statut." WHERE `id_atelier`=".$id;
$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return $result;
	  }

}

///////////***********Transaction sur les ateliers, gestion des forfaits ***************///
///
///les 50 dernires transactions
function getLastTransactions()
{

$sql="SELECT distinct(`id_user`) FROM `tab_transactions` WHERE `id_tarif`> 1 AND `type_transac`='for' ORDER BY `date_transac` DESC";
$db=opendb();
 $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return $result;
	  }


}

//Touts les Forfaits actifs d'un utlisateur
function getAllForfaitUser($id,$tarif)
{

$sql="SELECT * from `tab_transactions` WHERE id_user='".$id."' AND  id_tarif='".$tarif."' ";

$db=opendb();
 $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return mysqli_fetch_array($result);
	  }

}

//gorfait utilise par l'adherent
function getForfaitUtilise($iduser,$tarif)
{
$sql="SELECT COUNT(`id_forfait`) as totalf FROM `rel_user_forfait` WHERE `id_user`='".$iduser."' AND`id_tarif`=".$tarif;
$db=opendb();
 $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row=  mysqli_fetch_array($result);
		return $row['totalf'];
	  }

}


//nombre d'atelier inscrit par l'adhrent
function getInscriptionUser($iduser,$statut)
{
$sql="SELECT COUNT(`id_forfait`) as totalf FROM `rel_user_forfait` WHERE `id_user`='".$iduser."' and `statut_forfait` =".$status;
$db=opendb();
 $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row=  mysqli_fetch_array($result);
		return $row['totalf'];
	  }

}
///*****
// DEPRECATED
function getForfaitUserValid($iduser)
{
$sql="SELECT rel.`id_forfait`, `total_atelier`, `depense`, `statut_forfait`,`date_transac`,`status_transac` FROM `rel_user_forfait` as rel, tab_transactions as trans 
WHERE rel.`id_user`=".$iduser." AND rel.`id_transac`=trans.`id_transac`
AND rel.`statut_forfait` =1
";

$db=opendb();
 $result = mysqli_query($db,$sql);

 closedb($db);
    
  if (FALSE == $result)
  {
	  return FALSE ;
  }
  else
  {
	$row=  mysqli_fetch_array($result);
	return $row;
  }


}


function getForfaitAchete($iduser)
{
$sql="SELECT SUM(nbr_forfait*nb_atelier_forfait) AS total
FROM `tab_transactions` , tab_tarifs
WHERE `id_user` ='".$iduser."'
AND `status_transac` =1
AND tab_transactions.id_tarif = tab_tarifs.id_tarif";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
///rappel statut transaction, encaiss=1, en attente=0, termin=2
  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
			
		$row= mysqli_fetch_array($result);
		if($row['total']==NULL){
		return 0;
		}else{
		return $row['total'];
		}
	  }


}
//////*****

//getnbASUserEncours  calcule le nombre d'atelier et de session dont l'inscription est en cours ou valide
function getnbASUserEncours($iduser,$statut)
{
$sql="SELECT count(`id_rel_atelier_user`)as atelier FROM `rel_atelier_user` WHERE `status_rel_atelier_user`=".$statut." AND `id_user`=".$iduser;
$sql2="SELECT count(`id_rel_session`) as session FROM `rel_session_user`, tab_session WHERE `status_rel_session`=".$statut." AND tab_session.status_session=".$statut."  AND `id_user`=".$iduser." AND tab_session.id_session = rel_session_user.id_session ";

$db=opendb();
 $result = mysqli_query($db,$sql);
 $result2 = mysqli_query($db,$sql2);
 closedb($db);
	  if ((FALSE == $result) AND (FALSE==$result2))
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row= mysqli_fetch_array($result);
		$row2= mysqli_fetch_array($result2);
		$nbre=$row["atelier"]+$row2["session"];
		return $nbre;
	  }

}

//getnbASUserEncours  calcule le nombre d'atelier et de session dont l'inscription est valide
function getnbASUservalidees($iduser)
{
$sql="SELECT count(`id_rel_atelier_user`) as atelier FROM `rel_atelier_user` WHERE `status_rel_atelier_user`=1 AND `id_user`=".$iduser;
$sql2="SELECT count(`id_rel_session`)as session  FROM `rel_session_user` WHERE `status_rel_session`=1   AND `id_user`=".$iduser."  ";

$db=opendb();
 $result = mysqli_query($db,$sql);
 $result2 = mysqli_query($db,$sql2);
 closedb($db);
	  if ((FALSE == $result) AND (FALSE==$result2))
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row= mysqli_fetch_array($result);
		$row2= mysqli_fetch_array($result2);
		$nbre=$row["atelier"]+$row2["session"];
		return $nbre;
	  }

}
//retourne le nombre d'ateliers issus de forfaits dj archivs
function getFUserArchiv($iduser)
{
$sql="SELECT SUM(`total_atelier`) as nb FROM `rel_user_forfait` WHERE `statut_forfait`=2 AND `id_user`=".$iduser;
$db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
if (FALSE == $result)
{
  return FALSE ;
}
else
{
$row= mysqli_fetch_array($result);
return $row['nb'];
}

}

//nombre d'ateliers par forfait
function getNbatelierbytarif($id)
{
$sql="SELECT `nb_atelier_forfait` FROM `tab_tarifs` WHERE `id_tarif`=".$id;
$db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row= mysqli_fetch_array($result);
		return $row['nb_atelier_forfait'];
	  }

}


//Forfait  modifier
function getForfait($id)
{
$sql="SELECT * from`tab_transactions` WHERE   id_transac='".$id."'  LIMIT 1";
$db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return mysqli_fetch_array($result);
	  }


}

// insrer le forfait achet, et la relation pour le dcompte des ateliers du forfait
function addForfaitUser($id_user,$type_transac,$tarif_forfait,$date,$nbreforfait,$statutp)
{

$sql="INSERT INTO `tab_transactions`(`id_transac`, `id_user`, `type_transac`,`id_tarif`, `nbr_forfait`, `date_transac`, `status_transac`) 
	VALUES ('','".$id_user."','".$type_transac."','".$tarif_forfait."','".$nbreforfait."','".$date."','".$statutp."')";

$db=opendb();
$result = mysqli_query($db,$sql);
$idtransac=mysqli_insert_id($db);

closedb($db);
if (FALSE == $result)
{
  return FALSE ;
}
else
{
return $idtransac;
}

}

function addRelforfaitUser($id_user,$idtransac,$nbatelier,$depense,$statutp)
{
	
$sql="INSERT INTO `rel_user_forfait`(`id_forfait`, `id_user`, `id_transac`, `total_atelier`, `depense`, `statut_forfait`) 
VALUES ('','".$id_user."','".$idtransac."','".$nbatelier."','".$depense."','".$statutp."') ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE == $result)
{
  return FALSE ;
}
else
{
return TRUE;
}
}

//modification d'un forfait sur le compte
function modifForfaitUser($id,$tarif_forfait,$date,$nbreforfait,$statutp,$nbatelier)
{
$sql="UPDATE `tab_transactions` SET `id_tarif`='".$tarif_forfait."',`nbr_forfait`='".$nbreforfait."',`date_transac`='".$date."',`status_transac`='".$statutp."' WHERE `id_transac`=".$id;
$sql2="UPDATE `rel_user_forfait` SET `total_atelier`='".$nbatelier."',`statut_forfait`='".$statutp."' WHERE `id_transac`=".$id;

$db=opendb();
	  $result = mysqli_query($db,$sql);
	   $result2 = mysqli_query($db,$sql2);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return TRUE;
	  }


}

//retourner le nombre d'atelier dpenss sur le forfait
function getForfaitdepense($iduser,$tarif,$status)
{
$sql="SELECT COUNT( `id_forfait` ) AS total
FROM `rel_user_forfait`
WHERE `id_user` ='".$iduser."'
AND `id_tarif` ='".$tarif."'
AND `statut_forfait` =".$status;

$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row=mysqli_fetch_array($result);
		return $row['total'];
	  }

}

function getForfaitUserEncours($iduser)
{
$sql="SELECT `id_forfait`,`total_atelier`,`depense` FROM `rel_user_forfait` WHERE `id_user`=".$iduser." AND `statut_forfait`=1";
$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row=mysqli_fetch_array($result);
		return $row;
	  }

}

//incrementer le nombre depense
function updateForfaitdepense($id)
{
	$sql="UPDATE `rel_user_forfait` SET `depense`=depense+1 
	WHERE `id_forfait`='".$id."' 
	";

	$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return TRUE;
	  }

}

//retirer un atelier du forfait en cours
function DeleteOneFromForfait($id,$iduser)
{

$sql="UPDATE `rel_user_forfait` SET `depense`=`depense`-1 WHERE `id_user`=".$iduser." AND `id_forfait`=".$id." ";
	$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return TRUE;
	  }


}

//cloturer le forfait en cours d'un adherent
function clotureforfaitUser($depense,$idforfait)
{
$sql="UPDATE `rel_user_forfait` 
SET `depense`=".$depense.",
`statut_forfait`=2 
WHERE `id_forfait`=".$idforfait." ";
$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return TRUE;
	  }


}
//determiner le statut d'un forfait
function getForfaitDonnesbyID($id,$iduser)
{
$sql="SELECT `id_forfait`, `total_atelier`, `depense`, `statut_forfait` FROM `rel_user_forfait` WHERE `id_user`=".$iduser." AND `id_transac`=".$id;
$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		$row=mysqli_fetch_array($result);
		return $row;
	  }
}


//del forfait retirer un forfait d'un compte
function delForfait($id)
{
$sql="DELETE FROM `tab_transactions` WHERE `id_transac`=".$id;
$db=opendb();
	  $result = mysqli_query($db,$sql);
	  closedb($db);
	  if (FALSE == $result)
	  {
		  return FALSE ;
	  }
	  else
	  {
		return TRUE;
	  }


}


//
//////////////********GESTION DES SESSIONS*********///////////////////
//Creation de nouvelles sessions dans la base
function createSession($sujet,$content,$niveau,$categorie)
{
$sql = "INSERT INTO `tab_session_sujet`(`id_session_sujet`, `session_titre`, `session_detail`, `session_niveau`, `session_categorie`) 
	VALUES ('','".$sujet."','".$content."','".$niveau."','".$categorie."')
		";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return TRUE;
  }
  
}

//retrouver tous les sujets des sessions
function getAllSujetSession()
{
$sql = "SELECT id_session_sujet,session_titre FROM tab_session_sujet 
		ORDER BY session_titre ASC
		" ;
  $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	 $sujet = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $sujet[$row["id_session_sujet"]] = $row["session_titre"] ;
        }
        return $sujet ;
  }
 } 
 
//retrouver une session par son id
function getSujetSessionById($id)
{
$sql="SELECT *
		FROM tab_session_sujet 
		WHERE id_session_sujet=".$id."";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	return $result;
  }

}

function delSujetSession($id)
{
 $sql = "DELETE FROM `tab_session_sujet` 
		WHERE `id_session_sujet`='".$id."'
		";
    $db=opendb();
    $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }

}


function ModifSujetsession($id,$sujet,$content,$niveau,$categorie)
{

$sql = " UPDATE `tab_session_sujet` 
	SET 	`session_titre`= '".$sujet."',
		`session_detail`='".$content."',
		`session_niveau`='".$niveau."',
		`session_categorie`='".$categorie."'
			
		WHERE `id_session_sujet`='".$id."' " ;		
		
  
  $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $result;
  }


}

//Retrouver le titre d'une session avec id
function getTitreSession($id) 
{
$sql=" SELECT id_session_sujet, nom_session, session_titre, session_detail
		FROM tab_session_sujet, tab_session
		WHERE id_session_sujet=nom_session
		AND nom_session='".$id."'
	";
	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
	  return $row;
  }
}
 
 
// Affichage des sessions programmes dans l futur + les session qui n'ont pas t valides Statut=0
function getFutsessions()
{
//$sql="SELECT * FROM `tab_session`	WHERE YEAR(`date_session`)>= '".date('Y')."' ORDER BY `date_session` DESC";
$sql="SELECT * FROM `tab_session`	WHERE status_session=0 ORDER BY `date_session` DESC";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $result ;
  }

}
// retourne les sessions anciennement programms et archives
function getAncSession()
{
$sql= "SELECT  tab_session.id_session as idsession,tab_session.date_session as datep, session_titre, nbplace_session, nbre_dates_sessions,id_anim,id_salle,id_tarif
		FROM tab_session, tab_session_sujet
		WHERE status_session=1
		AND tab_session.nom_session=tab_session_sujet.id_session_sujet
		ORDER BY date_session ASC";
		
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	return $result;
  }
}

function countPlaceSession ($idsession,$statut)
{
if($statut==0)
{
   $sql = "SELECT DISTINCT (`id_user`) FROM `rel_session_user` WHERE `id_session`='".$idsession."' 
			  AND status_rel_session<2
			
			";
}else {
  $sql = "SELECT DISTINCT (`id_user`) FROM `rel_session_user` WHERE `id_session`='".$idsession."' 
			AND status_rel_session=".$statut."
			
			";
}
   $db=opendb();
  $result = mysqli_query($db,$sql);
    closedb($db);
   if (FALSE != $result)
   {
      return mysqli_num_rows($result) ;
   }
}
//
// getSessionUser()
// renvoi les users inscrits a une session
function getSessionUser($idsession,$statut)
{

  $sql = "SELECT DISTINCT(rel.id_user), `nom_user` , `prenom_user`, `status_rel_session`
          FROM `tab_user` AS user, `rel_session_user` AS rel
          WHERE rel.id_user = user.id_user
	AND rel.status_rel_session=".$statut."
	  AND rel.id_session =".$idsession."  ORDER BY `nom_user` ASC
		  ";

  $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $result;
  }
}

///renvoie les participants  un atelier valid absents ou prsents

function getSessionValidpresences($idsession,$iddate)
{
$sql="SELECT rel.id_user,`nom_user` , `prenom_user`, `status_rel_session`
FROM  `tab_user` AS user, `rel_session_user` AS rel
WHERE `id_session`=".$idsession." 
AND rel.id_user = user.id_user
AND rel.status_rel_session<2
AND `id_datesession`=".$iddate." ";
 $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $result;
  }


}


//Affichage des dates d'une session
function ValidSessionPresence($idsession,$nombre_present,$nombre_inscrit,$ids_presents,$date_session,$id_categorie,$nom_session)
{
$sql = "INSERT INTO `tab_session_stat` (`id_programmation`, `id_session`, `nombre_presents`, `nombre_inscrits`, `ids_presents`, `date_session`, `id_categorie`, `nom_session`)
		VALUES ('','".$idsession."','".$nombre_present."','".$nombre_inscrit."','".$ids_presents."','".$date_session."','".$id_categorie."','".$nom_session."')" ;

	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }
}


//Affichage d'une session
function getSession($id)
{
  $sql = "SELECT *
          FROM `tab_session`
          WHERE `id_session`=".$id."
		  ";
  $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      $row = mysqli_fetch_array($result) ;
      return $row;
  }
}

function getNomSession($id)
{
 $sql = "SELECT *
          FROM `tab_session_sujet`
          WHERE `id_session_sujet`=".$id."
		  ";
		  $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      $row = mysqli_fetch_array($result) ;
      return $row;
  }
}

function updateSessionStatut($id)
{
$sql="UPDATE `tab_session` SET `status_session`=1 WHERE `id_session`=".$id;
	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }
}

// inscrit un adherent a un atelier
function addUserSession($idsession,$iduser,$idstatut,$iddate)
{

    $sql ="INSERT INTO `rel_session_user` ( `id_rel_session` , `id_session` , `id_datesession`, `id_user` , `status_rel_session` )
             VALUES ('', '".$idsession."', '".$iddate."', '".$iduser."', '".$idstatut."')";
	     
     $db=opendb();
     $result = mysqli_query($db,$sql);
	closedb($db);
   
      if (FALSE == $result)
      {
          return FALSE ;
      }
      else
      {
          return TRUE;
      }
 
}

//
// delUserAtelier()
// Desinscription d'un adherent a un atelier
function delUserSession($idsession,$iduser)
{
    $sql = "DELETE FROM `rel_session_user` WHERE `id_user`=".$iduser." AND `id_session`=".$idsession ;
    $db=opendb();
   $result = mysqli_query($db,$sql);
  closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }
}
//
//retourne le test si une des dates de la session a dj ete valide ou pas
// 
function getSessionvalidees($idsession)
{
$sql="SELECT count( `statut_datesession` ) AS nb FROM `tab_session_dates` WHERE `id_session` =".$idsession." AND `statut_datesession` >0";
  $db=opendb();
   $result = mysqli_query($db,$sql);
  closedb($db);
  
    
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $row=mysqli_fetch_array($result);
	return $row["nb"];
    }

}


//
// modification du statut, passer de la liste d'attente  inscription
function ModifyUserSession($idsession,$iduser,$statut)
{
    $sql = "UPDATE `rel_session_user` 
			SET status_rel_session=".$statut."
			WHERE `id_user`=".$iduser." 
			AND `id_session`=".$idsession."
			";
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }
}


//validation des presences a une date de session
function ModifyUser1Session($idsession,$iduser,$statut,$iddate)
{
    $sql = "UPDATE `rel_session_user` 
			SET status_rel_session=".$statut."
			WHERE `id_user`=".$iduser." 
			AND `id_session`=".$idsession."
			AND id_datesession=".$iddate."
			";
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }
}
function miseazerosession($idsession,$iddate)
{
$sql = "UPDATE `rel_session_user` 
			SET status_rel_session=0
			WHERE `id_session`=".$idsession."
			AND id_datesession=".$iddate."
			";
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }


}


// verifie si un user est deja inscrit a un atelier ou non
function checkUserSession($idsession,$iduser)
{
  // verifie si le user n'est pas deja inscrit et si il reste des places disponibles.
  $sql = "SELECT * FROM `rel_session_user` WHERE `id_session` =".$idsession." AND `id_user` =".$iduser ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (mysqli_num_rows($result) == 0) // verifie si user deja inscrit
  {
      $sql3 = "SELECT `nbplace_session` FROM `tab_session` WHERE `id_session`=".$idsession ;
      $db=opendb();
      $result3 = mysqli_query($db,$sql3);
      $row = mysqli_fetch_array($result3);
       closedb($db);
      if (countPlace($idsession) < $row["nbplace_session"])  // verifie le nombre de place restante
      {
          return TRUE ;
      }
      else
      {
          return TRUE ; //inserer la liste d'attente Attention normalement doit etre FALSE
      }
  }
  else
  {
      return FALSE ;
  }
}

//
// addAtelier()
// cree une session d' atelier de formation
function addSession($dates,$nom,$nbplace,$nbre_dates_sessions,$anim,$salle,$tarif)
{
  $sql = "INSERT INTO `tab_session`(`id_session`, `date_session`, `nom_session`, `nbplace_session`, `nbre_dates_sessions`, `status_session`, `id_anim`, `id_salle`, `id_tarif`) 
  VALUES ('','".$dates."','".$nom."','".$nbplace."','".$nbre_dates_sessions."',0,'".$anim."','".$salle."','".$tarif."')" ;
$db=opendb();
 $result = mysqli_query($db,$sql);
 $id=mysqli_insert_id($db);

  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return $id;
  }
}

// Insrer une date dans une session
function insertDateSessions($id,$date_s,$statut)
{
$sql="INSERT INTO `tab_session_dates`(`id_datesession`, `id_session`, `date_session`, `statut_datesession`)
		VALUES ('','".$id."','".$date_s."','".$statut."')";	
$db=opendb();
 $result = mysqli_query($db,$sql);
  $id=mysqli_insert_id($db);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
       return $id;
  }	

}

//supprimer toutes les dates d'une session
function deleteAllDatessession($idsession)
{
$sql="DELETE FROM `tab_session_dates` WHERE `id_session`=".$idsession."";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return True;
  }	

}
//retourne le test de prsence des dates dans la table de relation user/datessession
function testrelsessiondate($idsession)
{
$sql="SELECT `id_rel_session` FROM `rel_session_user` WHERE `id_session`=".$idsession ;
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
$rown=mysqli_num_rows($result);
  if ($rown==0)
  {
	 return FALSE ;
  }
  else
  {
      return True;
  }	
}

// supprimer une date faisant partie d'une session
function deletedatesession($iddatesession)
{
$sql="DELETE FROM `tab_session_dates` WHERE `id_datesession`=".$iddatesession." ";

$db=opendb();
 $result = mysqli_query($db,$sql);
 
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return TRUE;
  }	

}
//supprimer de la table de relation les valuers des dates precedemment modifies
function deleteRelsessionUser($idsession,$num)
{
$sql="DELETE FROM `rel_session_user` WHERE `id_session`=".$idsession." AND `id_datesession`=".$num." ";

$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return True;
  }	

}
// modification des dates d'une session == modifiationn du nombre de dates + ou - !!
function updatenbredates($idsession,$nbre_dates)
{
$sql="UPDATE `tab_session` SET `nbre_dates_sessions`=".$nbre_dates." WHERE `id_session`=".$idsession." ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return True;
  }	


}
// Modifier une date faisant partie d'une session 
function modifDateSession($iddatesession,$datesession,$statut)
{
$sql="UPDATE `tab_session_dates` 
SET `date_session`='".$datesession."',
 `statut_datesession`='".$statut."'
WHERE `id_datesession`=".$iddatesession."
";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	return FALSE ;
  }
  else
  {
      return True;
  }	

}

// retourne le nombre de dates valides par sessions
function getValidDatesbysession($idsession){
$sql="SELECT COUNT(  `id_datesession` ) AS nb
FROM  `tab_session_dates` 
WHERE  `statut_datesession` <2
AND  `id_session` =".$idsession." ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
	  return $row['nb'];
  }	
}
//retroune le nombre de date avec ateliers valids par session pour comparaison avec  le nombre ci-dessus
function getDatesValidesbysession($idsession)
{
$sql="SELECT COUNT(  `id_datesession` ) as nb
FROM  `tab_session_dates` 
WHERE  `statut_datesession` =1
AND  `id_session` =".$idsession." ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
	  return $row['nb'];
  }	


}

// retourne toutes les dates d'une session
function getDatesSession($id)
{
$sql="SELECT * FROM `tab_session_dates` WHERE `id_session`=".$id." ORDER BY `date_session` ASC ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return $result;
  }	

}

//retourne le nombre de dates annules das une sesison
function getDatesAnnulebysession($idsession)
{
$sql="SELECT count( `id_datesession` ) AS nb
FROM `tab_session_dates`
WHERE `id_session` =".$idsession."
AND `statut_datesession` =2";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
      return $row["nb"];
  }	


}

//function retourne le nombre de dates enregistres dans tab_session
function getSessionNbreDates($idsession)
{
$sql="SELECT `nbre_dates_sessions` FROM `tab_session` WHERE `id_session`=".$idsession."";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
      return $row["nbre_dates_sessions"];
  }	

}
// changer le statut d'une date d'une session 0= en cours 1= valide
function updateDatesessionStatut($iddate)
{
$sql="UPDATE `tab_session_dates` SET `statut_datesession`=1 WHERE `id_datesession`=".$iddate;
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return True;
  }	
}

//Retourne une date d'une session par son numero
function getDatebyNumero($num)
{
$sql="SELECT date_session FROM tab_session_dates WHERE id_datesession=".$num;
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result);
      return $row["date_session"];
  }	

}

// Modifsession()
// Modifie les paramtres de la session
function modifSession($id,$dates,$nom,$nbplace,$nbre_dates_sessions,$anim,$salle,$tarif)
{
 //echo $id,$dates,$nom,$heure,$nbplace,$nbre_dates_sessions,$session_dates ;
  $sql = "UPDATE `tab_session`
			SET `date_session` ='".$dates."',
			`nom_session` ='".$nom."',
			`nbplace_session` ='".$nbplace."',
			`nbre_dates_sessions` ='".$nbre_dates_sessions."',
			
			`id_anim` ='".$anim."',
			 `id_salle`= '".$salle."',
			 `id_tarif`= '".$tarif."'
	 WHERE `id_session` =".$id." 
	 ";
  
  $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
 // echo "modif dans la table operation echoue";
      return FALSE ;
  }
  else
  {
      return $result;
  }
}


//
// delSession()
// supprime un atelier
function delSession($id)
{
  $sql = "DELETE FROM `tab_session` WHERE `id_session`=".$id ;
  //enlever aussi les dates dans la tab_session_dates
  $sql2="DELETE FROM `tab_session_dates` WHERE `id_session`=".$id ;
  
  $db=opendb();
 $result = mysqli_query($db,$sql);
 $result2 = mysqli_query($db,$sql2);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $result;
  }
}

//////////////*****************FIN SESSIONS*************//////////////

function getDay($nb)
{
    switch ($nb)
    {
        case "0":
            $day = "Dimanche";
        break;
        case "1":
            $day ="Lundi";
        break;
        case "2":
            $day ="Mardi";
        break;
        case "3":
            $day ="Mercredi";
        break;
        case "4":
            $day ="Jeudi";
        break;
        case "5":
            $day ="Vendredi";
        break;
        case "6":
            $day ="Samedi";
        break;
        
    }   
    return $day;
}




/////FONCTIONS SUR LES SEMAINES////////
//
// fonction qui renvoi les dates de comparaisons pour la semaine
function get_lundi_dimanche_from_week($week)
{
$week= $week-1;
$year= date('Y');

for ($i = 1 ; $i < 8; $i++)
	{
	if (date ('D' ,mktime(0, 0, 0, 1, $i, $year)) == 'Mon')
	$lundi = mktime(0, 0, 0, 1, $i, $year);
	}
$dimanche = $lundi + (60 * 60 * 24 * 6);
$lundi = $lundi + (60 * 60 * 24 * 7 * ($week - 1));
$dimanche = $dimanche + (60 * 60 * 24 * 7 * ($week - 1));

return (Array($lundi, $dimanche));
}



function getDaySemaine($d,$weekday,$dayYear)
{
	if ($d>$weekday){
		$day=$dayYear+($d-$weekday); //jour suivants
	}elseif ($d == $weekday){
		$day=$dayYear ; //jour choisi mme jour qu'aujourd'hui
	}else{
		$day=$dayYear-($weekday-$d); // jour precedents
	}
return $day	;
}
 
function numero_semaine($jour,$mois,$annee)
{
    /*
     * Norme ISO-8601:
     * - La semaine 1 de toute anne est celle qui contient le 4 janvier ou que la semaine 1 de toute anne est celle qui contient le 1er jeudi de janvier.
     * - La majorit des annes ont 52 semaines mais les annes qui commence un jeudi et les annes bissextiles commenant un mercredi en possde 53.
     * - Le 1er jour de la semaine est le Lundi
     */ 
    
    // Dfinition du Jeudi de la semaine
    if (date("w",mktime(12,0,0,$mois,$jour,$annee))==0) // Dimanche
        $jeudiSemaine = mktime(12,0,0,$mois,$jour,$annee)-3*24*60*60;
    else if (date("w",mktime(12,0,0,$mois,$jour,$annee))<4) // du Lundi au Mercredi
        $jeudiSemaine = mktime(12,0,0,$mois,$jour,$annee)+(4-date("w",mktime(12,0,0,$mois,$jour,$annee)))*24*60*60;
    else if (date("w",mktime(12,0,0,$mois,$jour,$annee))>4) // du Vendredi au Samedi
        $jeudiSemaine = mktime(12,0,0,$mois,$jour,$annee)-(date("w",mktime(12,0,0,$mois,$jour,$annee))-4)*24*60*60;
    else // Jeudi
        $jeudiSemaine = mktime(12,0,0,$mois,$jour,$annee);
    
    // Dfinition du premier Jeudi de l'anne
    if (date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))==0) // Dimanche
    {
        $premierJeudiAnnee = mktime(12,0,0,1,1,date("Y",$jeudiSemaine))+4*24*60*60;
    }
    else if (date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))<4) // du Lundi au Mercredi
    {
        $premierJeudiAnnee = mktime(12,0,0,1,1,date("Y",$jeudiSemaine))+(4-date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine))))*24*60*60;
    }
    else if (date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))>4) // du Vendredi au Samedi
    {
        $premierJeudiAnnee = mktime(12,0,0,1,1,date("Y",$jeudiSemaine))+(7-(date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))-4))*24*60*60;
    }
    else // Jeudi
    {
        $premierJeudiAnnee = mktime(12,0,0,1,1,date("Y",$jeudiSemaine));
    }
        
    // Dfinition du numro de semaine: nb de jours entre "premier Jeudi de l'anne" et "Jeudi de la semaine";
    $numeroSemaine =     ( 
                    ( 
                        date("z",mktime(12,0,0,date("m",$jeudiSemaine),date("d",$jeudiSemaine),date("Y",$jeudiSemaine))) 
                        -
                        date("z",mktime(12,0,0,date("m",$premierJeudiAnnee),date("d",$premierJeudiAnnee),date("Y",$premierJeudiAnnee))) 
                    ) / 7 
                ) + 1;
    
    // Cas particulier de la semaine 53
    if ($numeroSemaine==53)
    {
        // Les annes qui commence un Jeudi et les annes bissextiles commenant un Mercredi en possde 53
        if (date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))==4 || (date("w",mktime(12,0,0,1,1,date("Y",$jeudiSemaine)))==3 && date("z",mktime(12,0,0,12,31,date("Y",$jeudiSemaine)))==365))
        {
            $numeroSemaine = 53;
        }
        else
        {
            $numeroSemaine = 1;
        }
    }
        
    //echo $jour."-".$mois."-".$annee." (".date("d-m-Y",$premierJeudiAnnee)." - ".date("d-m-Y",$jeudiSemaine).") -> ".$numeroSemaine."<BR>";
            
    return sprintf("%02d",$numeroSemaine);
} 

///********************FIN SEMAINES**************///


/// ***********FONCTIONS SUR LES IMPRESSIONS ****************///
function getinfouseriprim($iduser)
{
$sql="SELECT print_date,print_credit,print_tarif,print_statut, nom_user, prenom_user,print_debit
		FROM tab_print, tab_user
		WHERE print_user ='".$iduser."'
		AND tab_print.print_user=tab_user.id_user
		ORDER BY print_date DESC LIMIT 1;
	";
	$db=opendb();
   $result = mysqli_query($db,$sql);
	closedb;
if ($result==FALSE)
	{
      return FALSE;
	}
    else
	{
	$row=mysqli_fetch_array($result);
     return $row ;
	}	
}

//**Selectionner les adherents qui impriment
function getPrintingUsers()
{
$sql="SELECT DISTINCT(`print_user`) FROM `tab_print` ";
$db=opendb();
   $result = mysqli_query($db,$sql);
	closedb;
if ($result==FALSE)
	{
      return FALSE;
	}
    else
	{
	
     return $result ;
	}

}

function getAllUserPrintCredit($tarif)
{
$sql="SELECT print_user, SUM(`print_debit`) AS debit, nom_user, prenom_user
	FROM tab_print, tab_user
	WHERE print_user.tab_print=id_user.tab_user
	AND print_tarif='".$tarif."'
	group by print_user
	ORDER BY print_date DESC
";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }

}
// retrouver les impression classee par tarif par user
function getPrintbyTarif($id,$date,$tarif)
{
$sql="SELECT id_print,print_debit, print_tarif,donnee_tarif,nom_tarif
	FROM tab_print, tab_tarifs
	WHERE print_user='".$id."' 
	AND print_date='".$date."'
	AND print_tarif='".$tarif."'
	AND tab_print.print_tarif = tab_tarifs.id_tarif
	";


 $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
    $print= mysqli_fetch_array($result);
     return $print ;
  }
}

///// retrouver la transaction
function getPrintFromID($id)
{
$sql="SELECT * FROM tab_print WHERE id_print='".$id."' 
";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
    
     return $result ;
  }

}






function getAllUserPrint()
{
    $sql="SELECT print_user, nom_user, prenom_user, print_date,print_credit, print_tarif, print_statut, print_debit
		FROM tab_print, tab_user
		WHERE id_user=print_user
		AND TO_DAYS(NOW()) - TO_DAYS(print_date) <= 90
		AND print_statut<2
		order BY print_date DESC LIMIT 15";
  
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}


///retourne les impression d'hier

function getYesterdayPrints($date)
{
$sql="
SELECT SUM(`print_debit`) AS credit
FROM tab_print
WHERE print_date='".$date."'
";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }

}

///********FIN IMPRESSIONS ***** //////////////////////////////////////////////

///*************FONCTION SUR LE MESSAGE BOARD **** ********************

function addMessage($date, $id_user, $message,$tags)
{
$sql = "INSERT INTO `tab_messages` (`id_messages`, `mes_date`, `mes_auteur`, `mes_txt`, `mes_tag`, `mes_destinataire`)
		VALUES ('','".$date."','".$id_user."','".$message."','".$tags."','')" ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return TRUE;
  }

}

function readMessage()
{
$jour=date('Y-m')."-01".date('H:i:s');

$sql="SELECT mes_date, mes_txt, mes_auteur, mes_tag, prenom_user, nom_user
	from tab_messages, tab_user
	WHERE mes_date BETWEEN '".$jour."' AND NOW()
	AND mes_auteur=id_user
	ORDER BY mes_date DESC ;
	";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
	
	  return FALSE ;
  }
  else
  {
      return $result;
  }
}

//
// renvoi si il y a atelier et le nom de l'atelier

function checkDayAtelier($j,$m,$year)
{
   
  $sql = "SELECT `date_atelier`,label_atelier, id_atelier
          FROM `tab_atelier`,tab_atelier_sujet
          WHERE tab_atelier.id_sujet=tab_atelier_sujet.id_sujet
		  AND date_atelier='".$year."-".$m."-".$j."' ";
  
  $db=opendb();
  $result = mysqli_query($db,$sql);
   closedb($db);
  
  if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
		return $row;
	}
}

//fonction qui affiche les dates des sessions.  ---> a faire

//renvoi la liste des mois o les ateliers sont programms pour le calendrier

function ListMoisAtelier()
{
$sql="SELECT `date_atelier`
FROM `tab_atelier`
ORDER BY `date_atelier` ASC
";
$db=opendb();
  $result = mysqli_query($db,$sql);
   closedb($db);
  
     if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
        return $result ;
    }
}

function getSessionValid($id)
{
$sql="SELECT `id_programmation` FROM `tab_session_stat` WHERE `id_session`='".$id."' ";
	
	$db=opendb();
	$result = mysqli_query($db,$sql);
	 closedb($db);
  
    if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      $nb = mysqli_fetch_array($result) ;
      return $nb ;
  }

}

//Pour les stat, validation des prsents
function InsertStatAS($type,$id,$date,$inscrits,$presents,$absents,$attente,$nbplace,$statut,$anim,$epn)
{
$sql="INSERT INTO `tab_AS_stat`(`id_stat`, `type_AS`, `id_AS`, `date_AS`, `inscrits`, `presents`, `absents`, `attente`,  `nbplace`,`statut_programmation`,`id_anim`,`id_epn`) 
VALUES ('','".$type."','".$id."','".$date."','".$inscrits."','".$presents."', '".$absents."','".$attente."','".$nbplace."','".$statut."','".$anim."','".$epn."') ";

	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }
}

//modifier les nombres statistiuques, aprs modif par les archives
function ModifStatAS($inscrit,$present,$absents,$idatelier,$type)
{
$sql="UPDATE `tab_AS_stat` SET `inscrits`=".$inscrit.",`presents`=".$present.",`absents`=".$absents." WHERE `type_AS`='".$type."' AND`id_AS`=".$idatelier;
	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }


}


//
//retourne le nombre d'inscrit et le nombre en attente pour une session
function getInscritpersession($idsession,$iddate)
{
$sql="SELECT count( `id_user` ) AS nb1 FROM `rel_session_user`WHERE `status_rel_session` =0 AND `id_session` =".$idsession." AND `id_datesession` =".$iddate."";
$sql1="SELECT count( `id_user` ) AS nb2 FROM `rel_session_user`WHERE `status_rel_session` =2 AND `id_session` =".$idsession." AND `id_datesession` =".$iddate."";
$db=opendb();
 $result = mysqli_query($db,$sql);
  $result1 = mysqli_query($db,$sql1);
  closedb($db);
  if ((FALSE == $result) OR  (FALSE == $result1))
  {
      return FALSE ;
  }
  else
  {
	$row=mysqli_fetch_array($result);
	$row1=mysqli_fetch_array($result1);
	$res=array();
	$res[0]=$row['nb1'];
	$res[1]=$row1['nb2'];
      return $res;
  }

}

// supression d'un sujet d'atelier de la base
function delSujetAtelier($id)
{

$sql = "DELETE FROM `tab_atelier_sujet` WHERE `id_sujet`='".$id."'
	" ;
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE;
    }
}

//////////
/// Gestion des tarifs //////


/// tarifs impressions

function newTarif($nomtarif, $prixtarif, $descriptiontarif,$forfait,$categoryTarif)
{

$sql = "INSERT INTO `tab_tarifs` (`id_tarif`,`nom_tarif`,`donnee_tarif`,`comment_tarif`,`nb_atelier_forfait`,`categorie_tarif`)
		VALUES ('','".$nomtarif."','".$prixtarif."','".$descriptiontarif."','".$forfait."','".$categoryTarif."')" ;

	$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }
}
// renvoie le test sur l'existence de tarifs pour les ateliers
function TestTarifs()
{
$sql="SELECT count(`id_tarif`) as nb FROM `tab_tarifs` WHERE `categorie_tarif`=5";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	  $row=mysqli_fetch_array($result);
      return $row["nb"];
  }	
	
}
function modifTarif($id,$nomtarif, $prixtarif, $descriptiontarif,$forfait,$categorieTarif)
{
$sql="UPDATE `tab_tarifs` 
	SET  nom_tarif= '".$nomtarif."',
	donnee_tarif='".$prixtarif."',
	comment_tarif='".$descriptiontarif."',
	nb_atelier_forfait='".$forfait."',
	categorie_tarif='".$categorieTarif."'
	WHERE id_tarif='".$id."' LIMIT 1 ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }

}

function deletarif($id)
{
$sql="DELETE FROM `tab_tarifs` WHERE `id_tarif`='".$id."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return True;
  }
}

// retourne le prix et le nom du tarif  partir du tarif slectionn
function getPrixFromTarif($id)
{

$sql=" SELECT `donnee_tarif`,`nom_tarif`
FROM `tab_tarifs`
WHERE `id_tarif`='".$id."'
 ";
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	
    return $result ;
  }



}


function getAllTarifs()
{

$sql=" SELECT * 
FROM  `tab_tarifs` 
WHERE id_tarif > 1
ORDER BY `categorie_tarif` ASC";
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
     
        return $result ;
  }
}


function getTarifs($cat)
{
$sql="SELECT * FROM `tab_tarifs` WHERE `categorie_tarif`='".$cat."' ORDER BY `id_tarif` ASC";
	$db=opendb();
	$result = mysqli_query($db,$sql);
	closedb($db);
	  if (FALSE == $result)
	  {
	      return FALSE ;
	  }
	  else
	  {
	   //  $row = mysqli_fetch_array($result);
		return $result ;
	  }
}


function getTarifsbyCat($t)
{

$sql=" SELECT id_tarif, nom_tarif,donnee_tarif
FROM  `tab_tarifs` 
WHERE  `categorie_tarif` ='".$t."'
ORDER BY `id_tarif` ASC";
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      $tarif = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $tarif[$row["id_tarif"]] = $row["nom_tarif"]." (".$row["donnee_tarif"]." &euro;)";
        }
        return $tarif ;
  }
}

function getNomTarif($id)
{
$sql="SELECT `nom_tarif` FROM `tab_tarifs` WHERE `id_tarif`=".$id;
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	$row=mysqli_fetch_array($result);
	return $row["nom_tarif"];
	}

}

///******************Enregistrement des transactions ************///
function addAdhesion($date,$type_transac,$id_user,$adhesiontarif, $statutp,$daterenouv){
$sql="INSERT INTO `tab_transactions`(`id_transac`, `id_user`,`type_transac`, `id_tarif`, `nbr_forfait`,`date_transac`, `status_transac`) 
	VALUES ('','".$id_user."','".$type_transac."','".$adhesiontarif."','1','".$date."','".$statutp."')
	";
$sql2="UPDATE `tab_user` SET `dateRen_user`='".$daterenouv."' WHERE id_user='".$id_user."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
$result2 = mysqli_query($db,$sql2);
  closedb($db);
   if (FALSE == $result)
	  {
	      return FALSE ;
	  }
	  else
	  {
	   return TRUE;
	  }

}

function Testpaiement($adh)
{
$sql="SELECT * FROM  `tab_transactions` WHERE `status_transac`=0 AND `id_user`=".$adh;
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
   if (FALSE == $result)
	  {
	      return FALSE ;
	  }
	  else
	  {
	  
	   return $result;
	  }

}

function updateAdhesion($transac,$date,$id_user,$adhesiontarif, $statutp)
{
$sql="UPDATE `tab_transactions` SET `date_transac`='".$date."',`status_transac`=".$statutp."
		WHERE `id_transac`=".$transac;
$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
   if (FALSE == $result)
	  {
	      return FALSE ;
	  }
	  else
	  {
	  
	   return TRUE;
	  }



}

/**
//Modification de la situation de l'adhrent aprs renouvellement adhsion
*/
function modifUserStatut($iduser,$statut)
{
$sql="UPDATE `tab_user` SET `status_user`=".$statut." WHERE  `id_user`=".$iduser." ";

$db=opendb();
$result = mysqli_query($db,$sql);
  closedb($db);
   if (FALSE == $result)
	  {
	      return FALSE ;
	  }
	  else
	  {
	  
	   return TRUE;
	  }


}

////***** FONCTIONS SUR LA GESTION MULTIESPACE ***/////

//
// getConsole()
// recupere les postes par salle
function getConsole($numsalle)
{
    $sql="SELECT `nom_computer`, `id_computer` FROM tab_computer WHERE id_salle=".$numsalle." ORDER BY nom_computer;";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// getConsoleoccup()
// recupere les postes par salle
function getConsoleoccup($numsalle)
{
    $sql="SELECT `nom_computer`, `id_computer`, `nom_user`, `prenom_user`, `dateresa_resa`, `debut_resa` FROM tab_user, tab_computer, tab_resa WHERE tab_resa.id_user_resa=tab_user.id_user AND tab_resa.id_computer_resa=tab_computer.id_computer AND tab_computer.id_salle=".$numsalle." AND tab_resa.status_resa=1 ORDER BY `id_computer`;";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// getAllSalle()
// recupere les salless
function getAllSalle()
{
    $sql="SELECT * FROM tab_salle;";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// getSalle()
// recupere les salless
function getSalle($numsalle)
{
    $sql="SELECT `id_salle`, `nom_salle`, `id_espace`, `comment_salle` FROM tab_salle WHERE id_salle=".$numsalle.";";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// addSalle()
// ajoute une salle dans la table salle
function addSalle($nom, $espace,$comment)
{
  $sql = "INSERT INTO `tab_salle` (`id_salle`,`nom_salle`,`id_espace`,`comment_salle`)
         VALUES ('','".$nom."', '".$espace."', '".$comment."') " ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
  $lastid = mysqli_insert_id($db);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
      return $lastid;
  }
}

//
// modSalle()
// modifie une salle dans la table salle
function modSalle($id,$nom, $espace, $comment)
{
    $sql="UPDATE `tab_salle`
    SET `nom_salle` ='".$nom."',
        `id_espace` ='".$espace."',
        `comment_salle` ='".$comment."'
     WHERE `id_salle` =".$id." LIMIT 1 ";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return TRUE;
  }
}

//
// supSalle ()
// supprime une salle de la table salle
function supSalle($id)
{
  $sql = "DELETE FROM `tab_salle` WHERE `id_salle` = ".$id." LIMIT 1" ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return TRUE;
  }
}

//
// getEspace()
// recupere les espaces
function getEspace($numespace)
{
    $sql="SELECT * FROM tab_espace WHERE id_espace=".$numespace." ";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// getAllEspace()
// recupere les espaces
function getAllEspace()
{
    $sql="SELECT `nom_espace`, `id_espace`, `id_city`, `adresse` FROM tab_espace ORDER BY nom_espace ASC";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

function getAllEPN()
{
 $sql = "SELECT `id_espace`, `nom_espace` FROM `tab_espace`  ORDER BY `nom_espace` asc" ;
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $epn = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $epn[$row["id_espace"]] = $row["nom_espace"] ;
        }
        return $epn ;
    }


}
function getAllsalles()
{
 $sql = "SELECT `id_salle`, `nom_salle` FROM `tab_salle`  ORDER BY `id_salle`" ;
    $db=opendb();
   $result = mysqli_query($db,$sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $epn = array();
        $nb= mysqli_num_rows($result);
        for ($i=1;$i<=$nb;$i++)
        {
            $row = mysqli_fetch_array($result);
            $epn[$row["id_salle"]] = $row["nom_salle"] ;
        }
        return $epn ;
    }


}
//
// addEspace()
// ajoute un EPN dans la table espace
function addEspace($nom, $adresse,$ville,$logoespace,$couleur)
{
  $sql = "INSERT INTO `tab_espace` (`id_espace`,`nom_espace`,`id_city`,`adresse`,`logo_espace`,`couleur_espace`)
         VALUES ('','".$nom."', '".$ville."', '".$adresse."', '".$logoespace."', '".$couleur."') " ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
  $lastid = mysqli_insert_id($db);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	
	return $lastid;
  }
}
//insertion des horaires du nouvel epn en copy de celui par dfaut
function copyhoraires($idespace){
$sql=" INSERT INTO `tab_horaire`(`id_horaire`, `jour_horaire`, `hor1_begin_horaire`, `hor1_end_horaire`, `hor2_begin_horaire`, `hor2_end_horaire`, `unit_horaire`, `id_epn`) 
SELECT '', `jour_horaire`, `hor1_begin_horaire`, `hor1_end_horaire`, `hor2_begin_horaire`, `hor2_end_horaire`, `unit_horaire`, '".$idespace."' FROM `tab_horaire` WHERE `id_epn`=1
";
$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	return TRUE ;
  }
}

function copyconfig($idespace){
$sql="INSERT INTO `tab_config`(`id_config`, `activer_console`, `name_config`, `unit_default_config`, `unit_config`, `maxtime_config`, `maxtime_default_config`, `id_epn`)
SELECT '',`activer_console`, `name_config`, `unit_default_config`, `unit_config`, `maxtime_config`, `maxtime_default_config`,'".$idespace."' FROM `tab_config` WHERE `id_epn`=1
";

$db=opendb();
 $result = mysqli_query($db,$sql);
  closedb($db);
  if (FALSE == $result)
  {
      return FALSE ;
  }
  else
  {
	return TRUE ;
  }

}

//
// modEspace()
// modifie un espace dans la table espace
function modEspace($id,$nom, $adresse, $city,$logoespace,$couleur)
{
    $sql="UPDATE `tab_espace`
    SET `nom_espace` ='".$nom."',
        `id_city` ='".$city."',
        `adresse` ='".$adresse."',
	`logo_espace`='".$logoespace."',
	`couleur_espace`='".$couleur."'
     WHERE `id_espace` =".$id." LIMIT 1 ";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return TRUE;
  }
}

//
// supEspace ()
// supprime un espace dans la table espace
function supEspace($id)
{
  $sql = "DELETE FROM `tab_espace` WHERE `id_espace` = ".$id." LIMIT 1" ;
  //supprimer aussi les config correspondante
  $sql2="DELETE FROM `tab_config` WHERE `id_epn`=".$id." LIMIT 1" ;
  $sql3="DELETE FROM `tab_config_logiciel` WHERE `id_espace`= ".$id." LIMIT 1" ;
  $sql4="DELETE FROM `tab_horaire` WHERE `id_epn`=".$id." LIMIT 1" ;
  
  $db=opendb();
 $result = mysqli_query($db,$sql);
 $result2 = mysqli_query($db,$sql2);
 $result3 = mysqli_query($db,$sql3);
 $result4 = mysqli_query($db,$sql4);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return TRUE;
  }
}

//
// getAllVille()
// recupere les villes
function getAllVille()
{
    $sql="SELECT `nom_city`, `id_city` FROM tab_city;";
	
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

// statCity()
// retourne la rpartition des adherents par ville
function statCity($ville)
{                              
  $ville =addslashes($ville) ;
  $sql = "SELECT count(`id_user`) AS nb FROM `tab_user`  
          WHERE `ville_user` = '".$ville."' AND `status_user`!='3' AND `status_user`!='4'";
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
  if($result == FALSE)
  {
      return FALSE;
  }
  else
  {
      $row = mysqli_fetch_array($result)  ;
      return $row['nb'] ;
  }
}

//
// utilisation ----------------------------------------------------------------------
//
//
// getAllUtilisation()
// recupere les utilisations de la table utilisation pour l'utilisation d'un poste
function getAllUtilisation()
{
  $sql ="SELECT `id_utilisation`,`nom_utilisation`,`type_menu`, `visible` FROM `tab_utilisation` ORDER BY `id_utilisation` " ;
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if ($result ==FALSE)
  {
      return FALSE ;
  }
  else
  {
      /*$nb = mysql_num_rows($result);
      $tableau = array();
      for ($i=1;$i<=$nb;$i++)
      {
          $row=mysqli_fetch_array($result);
          $tableau[$row["id_utilisation"]] = $row["nom_utilisation"] ;
      }*/
      //return $tableau ;
      return $result ;
  }
}/*

//
// getUsage()
// recupere les codes de l'usage de la table usage pour l'utilisation d'un poste
function getUsage($id)
{
  $sql="SELECT `id_usage`
        FROM `rel_usage_computer` AS rel, `tab_computer` AS computer
        WHERE rel.id_computer = computer.id_computer
        AND computer.id_computer=".$id;
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if ($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      $nb=mysql_num_rows($result);
      $tableau = array();
      for ($i=1;$i<=$nb;$i++)
      {
      $row = mysqli_fetch_array($result);
      $tableau[$i] = $row["id_usage"] ; 
      }
      return $tableau ;
  }
}

//renvoi le nom des usages d'une machine
function getUsageNameById($idcomp)
{
    $sql = 'SELECT TU.nom_usage
            FROM rel_usage_computer AS RUC 
            INNER JOIN tab_usage AS TU ON TU.id_usage = RUC.id_usage            
            WHERE id_computer='.$idcomp.'' ;

    $db=opendb();
   $result = mysqli_query($db,$sql);
     closedb($db);
    if ($result==FALSE)
    {
        return FALSE ;
    }
    else
    {
        return $result;    
    }
}

//renvoi les noms des usages a partir d'un tableau d'ID
function getUsageName($usage)
{
    $nb = COUNT($usage) ;
    $i = 1;
    $sql = "SELECT nom_usage FROM tab_usage
            WHERE ";
            
    foreach($usage AS $key=>$value)
    {
      if ($nb == $i)
          $sql .="id_usage=".$key." " ;
      else
          $sql .="id_usage=".$key." OR " ;
          ++$i ;
    }
    $sql .='ORDER BY nom_usage ASC' ;
    $db=opendb();
   $result = mysqli_query($db,$sql);
     closedb($db);
    if ($result == FALSE)
    {
         return FALSE ;
    }
    else
    {
        $return =array() ;
        while ($row = mysqli_fetch_array($result))
        {
            $return[]= $row['nom_usage'] ;
        }
        return $return ;        
    }
}*/

//
// addUtilisation()
// ajoute une nouvelle utilisation au materiel
function addUtilisation($utilisation, $type, $visible)
{
  $sql="INSERT INTO `tab_utilisation` (`id_utilisation`,`nom_utilisation`, `type_menu`, `visible`) VALUES ('','".$utilisation."', '".$type."', '".$visible."')";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      return TRUE ;
  }
}


//
// modUtilisation()
// modifie une utilisation au materiel
function modUtilisation($id,$utilisation,$type, $visible)
{
  $sql="UPDATE `tab_utilisation`
        SET `nom_utilisation`='".$utilisation."',
        `type_menu`='".$type."',
        `visible`='".$visible."'
        WHERE `id_utilisation`=".$id." LIMIT 1 ";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      return TRUE ;
  }
}

//
// supUtilisation()
// suppression d'une utilisation
function supUtilisation($id)
{
  $sql = "DELETE FROM `tab_utilisation` WHERE `id_utilisation`=".$id." LIMIT 1";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      $sql = "SELECT `id_utilisation_user` FROM `rel_utilisation_user` WHERE `id_utilisation`=".$id ;
      $db=opendb();
     $result = mysqli_query($db,$sql);
       closedb($db);
      if($result == FALSE)
      {
          return FALSE ;
      }
      else
      {
          $nb = mysqli_num_rows($result);
          if ($nb >0)
          {
            for ($i=1;$i<=$nb;$i++)
            {
                $row = mysqli_fetch_array($result);
                $sql = "DELETE FROM `rel_utilisation_user` WHERE `id_utilisation_user`=".$row["id_utilisation_user"];
                $db=opendb();
               $result = mysqli_query($db,$sql);
                 closedb($db);
                if($result == FALSE)
                {
                    return FALSE ;
                }
            }
          }
          return TRUE;
      }
  }
}

///***** GESTION DES PROFILS ANIMATEURS ***** ///

//enregistrer les paramtres d'un animateur
function paramAnim($idanim,$epn_r,$salle_r,$avatar){
$sql="INSERT INTO `rel_user_anim`(`id_useranim`, `id_animateur`, `id_epn`, `id_salle`, `anim_avatar`) VALUES ('','".$idanim."', '".$epn_r."', '".$salle_r."', '".$avatar."')";
  $db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      return TRUE ;
  }

}



function getAnimateur($id_user)
{
$sql="SELECT `id_epn`, `id_salle`, `anim_avatar` FROM `rel_user_anim` WHERE `id_animateur`='".$id_user."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      $row=mysqli_fetch_array($result) ;
      return $row;
  }

}


function Ptestanim($id)
{
$sql="SELECT `id_useranim` FROM `rel_user_anim` WHERE `id_animateur`='".$id."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  $row=mysqli_num_rows($result);
  
  if($row == 0)
  {
      return FALSE ;
  }
  else
  {
      return TRUE ;
  }


}


function modifparamAnim($idanim,$epn_r,$salles,$avatar_r)
{
$sql="UPDATE `rel_user_anim` 
SET `id_epn`='".$epn_r."',
`id_salle`='".$salles."',
`anim_avatar`='".$avatar_r."' 
WHERE id_animateur='".$idanim."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
      
      return TRUE;
  }

}

function getAvatar($id){
$sql="SELECT `anim_avatar` FROM `rel_user_anim` WHERE `id_animateur`='".$id."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
   closedb($db);
  if($result == FALSE)
  {
      return FALSE ;
  }
  else
  {
	 $row=mysqli_fetch_array($result) ;
      return $row;
  }
}

function getSallesbyAnim($id)
{
$sql="SELECT `id_salle` FROM `rel_user_anim` WHERE `id_animateur`='".$id."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
if($result == FALSE)
  {
      return FALSE ;
  }
else
  {
	 $row=mysqli_fetch_array($result) ;
      return $row;
  }

}

function getNomsalleforAnim($id)
{
$sql="SELECT `nom_salle` FROM `tab_salle` WHERE `id_salle`='".$id."' ";
$db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
if($result == FALSE)
  {
      return FALSE ;
  }
else
  {
	 $row=mysqli_fetch_array($result) ;
      return $row["nom_salle"];
  }
}

function getEpnSalle($id)
 {
 $sql="SELECT nom_espace, id_salle FROM tab_espace, tab_salle WHERE id_salle='".$id."' 
 AND tab_espace.id_espace=tab_salle.id_espace";
 
 $db=opendb();
 $result = mysqli_query($db,$sql);
 closedb($db);
if($result == FALSE)
  {
      return FALSE ;
  }
else
  {
	 $row=mysqli_fetch_array($result) ;
      return $row["nom_espace"];
  }
 
 }
 //********Gestion des prinscriptions ****************************************////////////////////////////
 
 
// searchUserInsc()
// recherche un ou des utilisateurs et renvoi le resultat de la recherche
function searchUserInsc($exp)
{
    $sql="SELECT `id_inscription_user` , `nom_inscription_user` , `prenom_inscription_user` , `temps_inscription_user`,`status_inscription_user`, `lastvisit_inscription_user`, `login_inscription_user`, `id_inscription_computer`
        FROM `tab_inscription_user`
        WHERE `nom_inscription_user` LIKE '%".$exp."%'
        OR `prenom_inscription_user` LIKE '%".$exp."%'
        AND (`status_inscription_user`=1 OR `status_inscription_user`=2) 
        ORDER BY `status_inscription_user` ASC, `nom_inscription_user` ASC";
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
        return $result ;
    }
}
//
// getAllUserInsc()
// recupere les utilisateurs
function getAllUserInsc()
{
 $sql="SELECT `id_inscription_user`, `nom_inscription_user`, `prenom_inscription_user`, `login_inscription_user`, `id_inscription_computer`
        FROM tab_inscription_user  ORDER BY `nom_inscription_user`";
  
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return $result;
  }
}

//
// getUserInsc()
// recupere un utilisateur
function getUserInsc($id)
{
  $sql="SELECT *
        FROM tab_inscription_user WHERE id_inscription_user=".$id;
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      $row=mysqli_fetch_array($result);
      return $row;
  }
}

 
 //
// deluser
// Supprime un utilisateur
function delUserInsc($id)
{
  $sql = "DELETE FROM `tab_inscription_user` WHERE `id_inscription_user`=".$id." LIMIT 1 " ;
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      return TRUE;
  }
}
 //**********//
 ///////
 
 //*********Gestion de la console et epnconnect*******************************//////////////////////////
 
//function updateConfiglogiciel($array,$idvalue, $idespace)
function updateConfiglogiciel($id,$epn,$shiftlog,$insclog,$renslog,$conexlog,$bloclog,$tempslog,$decouselog)
{
  	$sql="UPDATE `tab_config_logiciel` SET 
	`id_espace`='".$epn."',
	`config_menu_logiciel`='".$shiftlog."',
	`page_inscription_logiciel`='".$insclog."',
	`page_renseignement_logiciel`='".$renslog."',
	`connexion_anim_logiciel`='".$conexlog."',
	`bloquage_touche_logiciel`='".$bloclog."',
	`affichage_temps_logiciel`='".$tempslog."',
	`deconnexion_auto_logiciel`='".$decouselog."' WHERE `id_config_logiciel`='".$id."' ";
	
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE ;
    }
}

function addConfiglogiciel($epn,$shiftlog,$insclog,$renslog,$conexlog,$bloclog,$tempslog,$decouselog)
{
$sql="INSERT INTO `tab_config_logiciel`(`id_config_logiciel`, `id_espace`, `config_menu_logiciel`, `page_inscription_logiciel`, `page_renseignement_logiciel`, `connexion_anim_logiciel`, `bloquage_touche_logiciel`, `affichage_temps_logiciel`, `deconnexion_auto_logiciel`) 
VALUES ('','".$epn."','".$shiftlog."','".$insclog."','".$renslog."','".$conexlog."','".$bloclog."','".$tempslog."','".$decouselog."')";
$db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        return TRUE ;
    }
}

function testconfigepn($epn)
{
$sql="SELECT  `id_config_logiciel` 
		FROM  `tab_config_logiciel` 
		WHERE  `id_espace` ='".$epn."' ";
$db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
	$nb=mysqli_num_rows($result);
	
	
    if ($nb==0)
    {
        return FALSE ;
    }
    else
    {
        return TRUE ;
    }
}
//
// getConfig_logiciel()
// recupere un utilisateur
function getConfig_logiciel($idespace)
{
  $sql="SELECT * FROM `tab_config_logiciel` WHERE `id_espace`=".$idespace;
    $db=opendb();
  	$result = mysqli_query($db, $sql);
    closedb($db);
  if (FALSE == $result)
  {
      return FALSE;
  }
  else
  {
      $row=mysqli_fetch_array($result);
      return $row;
  }
}

//
// EnvoieMessageSocket()
// Supprime un utilisateur
function EnvoieMessageSocket($message, $adresse)
{
	//$adresse = "10.8.165.93";
	$service_port = "18181";
	if (($socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) 
	{
    	return FALSE;
	}
	$result = socket_connect($socket, $adresse, $service_port);
	if($result==FALSE)
	{
		return FALSE;
	}
	else
	{
		$msg = "menu=4&message=".$message;
    	socket_write($socket, $msg, strlen($msg));
		
		socket_close($socket);
		
		return TRUE;
	}
}

//
// AffectationUserSocket()
// Supprime un utilisateur
function AffectationUserSocket($id_user, $adresse, $temps)
{
	//$adresse = "10.8.165.93";
	$service_port = "18181";
	if (($socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) 
	{
    	return FALSE;
	}
	$result = socket_connect($socket, $adresse, $service_port);
	if($result==FALSE)
	{
		return FALSE;
	}
	else
	{
		$msg = "menu=1&id_user=".$id_user."&temps=".$temps."";
    	socket_write($socket, $msg, strlen($msg));

    	//socket_write($socket, $msg, $longmess);
		
		socket_close($socket);
		
		return TRUE;
	}
}

//
// LiberationUserSocket()
// Supprime un utilisateur
function LibertionUserSocket($adresse)
{
	//$adresse = "10.8.165.93";
	$service_port = "18181";
	if (($socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) 
	{
    	return FALSE;
	}
	$result = socket_connect($socket, $adresse, $service_port);
	if($result==FALSE)
	{
		return FALSE;
	}
	else
	{
		$msg = "menu=2";
    	socket_write($socket, $msg, strlen($msg));
		
		socket_close($socket);
		
		return TRUE;
	}
}

//
// ControlePosteSocket()
// Supprime un utilisateur
function ControlePosteSocket($adresse)
{
	//$adresse = "10.8.165.93";
	$service_port = "18181";
	if (($socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) 
	{
    	return FALSE;
	}
	$result = socket_connect($socket, $adresse, $service_port);
	if($result==FALSE)
	{
		return FALSE;
	}
	else
	{
		$msg = "menu=5";
    	socket_write($socket, $msg, strlen($msg));
		
		socket_close($socket);
		
		return TRUE;
	}
}

//
// AffectationAtelierSocket()
// Supprime un utilisateur
function AffectationAtelierSocket($adresse)
{
	//$adresse = "10.8.165.93";
	$service_port = "18181";
	if (($socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) 
	{
    	return FALSE;
	}
	$result = socket_connect($socket, $adresse, $service_port);
	if($result==FALSE)
	{
		return FALSE;
	}
	else
	{
		$msg = "menu=5";
    	socket_write($socket, $msg, strlen($msg));
		
		socket_close($socket);
		
		return TRUE;
	}
}


///************Fonctions de la page d'accueil ********************///
//
//Retourne les ID des ateliers et sessions de la semaine
function getWeekAteliers($jour,$espace)
{
$sql="SELECT * FROM `tab_atelier` WHERE `date_atelier`='".$jour."' ORDER BY heure_atelier ASC";

//adapter donne les ID et le type d'atelier
$sql2=" SELECT  `id_atelier` AS id ,date_atelier AS dateAS,'tab_atelier' AS tab_origine
FROM  `tab_atelier` , tab_salle
WHERE WEEK(`date_atelier`) = WEEK('".$jour."') 
AND statut_atelier=0
AND `id_espace` =".$espace."
AND tab_atelier.`salle_atelier` = tab_salle.id_salle
UNION 
SELECT  tab_session_dates.`id_session` AS id, tab_session_dates.`date_session` AS dateAS, 'tab_session_dates' AS tab_origine
FROM tab_session_dates,tab_salle,tab_session
WHERE WEEK(DATE(  tab_session_dates.date_session )) = WEEK('".$jour."') 
AND  `statut_datesession`=0
AND `id_espace` =".$espace."
AND tab_session.`id_salle` = tab_salle.id_salle
AND tab_session.`id_session` =tab_session_dates.`id_session`
ORDER BY dateAS ASC 
";

 $db=opendb();
$result = mysqli_query($db, $sql2);
closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
	return $result ;
    }


}
function getConfigVersion($idepn)
{
$sql="SELECT `name_config` FROM `tab_config` WHERE `id_epn`=".$idepn;
$db=opendb();
$result = mysqli_query($db, $sql);
closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
	$row=mysqli_fetch_array($result);
	return $row["name_config"] ;
    }


}

// retourne l'id d'un log du jour pour la mose  jour du statut des adherents
function getLogUser()
{
$sql="SELECT `id_log` FROM `tab_logs` WHERE DATE(`log_date`)=DATE(NOW()) AND `log_MAJ`='adh' ";
$db=opendb();
$result = mysqli_query($db, $sql);
closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
		return $result ;
    }

}

function updateUserStatut()
{
$sql="UPDATE `tab_user` SET `status_user`=2 WHERE `status_user`=1 AND `dateRen_user`< DATE(NOW())";
$db=opendb();
$result = mysqli_query($db, $sql);
closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
		return TRUE ;
    }

}

function addLog($date,$type,$valid,$comment)
{
$sql="INSERT INTO `tab_logs`(`id_log`, `log_date`, `log_MAJ`, `log_valid`, `lob_comment`) 
VALUES ('','".$date."','".$type."','".$valid."','".$comment."' )";
$db=opendb();
$result = mysqli_query($db, $sql);
closedb($db);
    if ($result == FALSE )
    {
        return FALSE ;
    }
    else
    {
		return TRUE ;
    }



} 



//****
/*************************************************************************
php easy :: pagination scripts set - Version Two
==========================================================================
Author:      php easy code, www.phpeasycode.com
Web Site:    http://www.phpeasycode.com
Contact:     webmaster@phpeasycode.com
*************************************************************************/
function paginate_two($reload, $page, $tpages, $adjacents) {
	
	$firstlabel = "&laquo;&nbsp;";
	$prevlabel  = "&lsaquo;&nbsp;";
	$nextlabel  = "&nbsp;&rsaquo;";
	$lastlabel  = "&nbsp;&raquo;";
	
	$out = "<ul class=\"pagination pagination-sm no-margin pull-right\">\n";
	
	// first
	if($page>($adjacents+1)) {
		$out.= "<li><a href=\"" . $reload . "\">" . $firstlabel . "</a></li>\n";
	}
	else {
		$out.= "<li><span>" . $firstlabel . "</span></li>\n";
	}
	
	// previous
	if($page==1) {
		$out.= "<li><span>" . $prevlabel . "</span></li>\n";
	}
	elseif($page==2) {
		$out.= "<li><a href=\"" . $reload . "\">" . $prevlabel . "</a></li>\n";
	}
	else {
		$out.= "<li><a href=\"" . $reload . "&amp;page=" . ($page-1) . "\">" . $prevlabel . "</a></li>\n";
	}
	
	// 1 2 3 4 etc
	$pmin = ($page>$adjacents) ? ($page-$adjacents) : 1;
	$pmax = ($page<($tpages-$adjacents)) ? ($page+$adjacents) : $tpages;
	for($i=$pmin; $i<=$pmax; $i++) {
		if($i==$page) {
			$out.= "<li class=\"btn active\"><span >" . $i . "</span></li>\n";
		}
		elseif($i==1) {
			$out.= "<li><a href=\"" . $reload . "\">" . $i . "</a></li>\n";
		}
		else {
			$out.= "<li><a href=\"" . $reload . "&amp;page=" . $i . "\">" . $i . "</a></li>\n";
		}
	}
	
	// next
	if($page<$tpages) {
		$out.= "<li><a href=\"" . $reload . "&amp;page=" .($page+1) . "\">" . $nextlabel . "</a></li>\n";
	}
	else {
		$out.= "<li><span>" . $nextlabel . "</span></li>\n";
	}
	
	// last
	if($page<($tpages-$adjacents)) {
		$out.= "<li><a href=\"" . $reload . "&amp;page=" . $tpages . "\">" . $lastlabel . "</a></li>\n";
	}
	else {
		$out.= "<li><span>" . $lastlabel . "</span></li>\n";
	}
	
	$out.= "</ul>";
	
	return $out;
}
//****///////////////END PAGINATION FUNCTION //****





?>
