<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 

  include/admin_materiel.php V0.1
*/

// Fichier de gestion des salles ...
$mesno= $_GET["mesno"];
if ($mesno !="")
{
  echo getError($mesno);
}

?>

<!-- DIV accs direct aux autres paramtres-->
 <div class="box">
		<div class="box-header">
			<h3 class="box-title">Paramtrages</h3>
		</div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=41"><i class="fa fa-cloud"></i> VILLES <a>
			<a class="btn btn-app disabled" href="#"><i class="fa fa-home"></i> EPN</a>
			<a class="btn btn-app" href="index.php?a=44"><i class="fa fa-square"></i> SALLES</a>
			<a class="btn btn-app" href="index.php?a=42"><i class="fa fa-clock-o"></i> HORAIRES</a>
			<a class="btn btn-app" href="index.php?a=47"><i class="fa fa-eur"></i> TARIFS</a>
			<a class="btn btn-app" href="index.php?a=2"><i class="fa fa-desktop"></i> MATERIEL</a>
			<a class="btn btn-app" href="index.php?a=48"><i class="fa fa-user-md"></i> USAGES</a>
			<a class="btn btn-app" href="index.php?a=46"><i class="fa fa-caret-square-o-up"></i> USAGES POSTES</a>
			<a class="btn btn-app" href="index.php?a=23"><i class="fa fa-users"></i> ADMIN/ANIM</a>
			<a class="btn btn-app" href="index.php?a=49"><i class="fa fa-archive"></i> BDD</a>
			<a class="btn btn-app" href="index.php?a=25&act=0"><i class="fa fa-desktop"></i> EPN-CONNECT</a>
			
		</div><!-- /.box-body -->
</div><!-- /.box -->


<div class="row">
 <!-- Left col --><section class="col-lg-9 connectedSortable">
  
<!-- liste des espaces existants-->
<div class="box box-solid box-warning"><div class="box-header"><h3 class="box-title">Liste des espaces</h3></div>
	 <div class="box-body no-padding"> <table class="table">
			<thead> <tr> 
   				<th>Nom de l'espace</th> 
				<th>Adresse</th>
				<th>Villes</th>
				<th>&nbsp;</th>
				<th>&nbsp;</th></tr></thead><tbody>
    <?php
    $result=getAllEspace();
    if (FALSE == $result)
    {
        echo getError(30) ;
    }
    else
    {
			$nb=mysqli_num_rows($result);
			if ($nb == 0)
			{
				echo getError(30);
			}
			else
			{
			  	for ($i=0;$i<$nb;$i++)
			  	{
					$row = mysqli_fetch_array($result);
    				$ville=getCity($row["id_city"]);
    				
            		?>
                <tr>
                    <td><?php echo $row["nom_espace"]; ?></td>
                    <td><?php echo $row["adresse"]; ?></td>
                    <td><?php echo $ville; ?></td>
                    <td ><a href="index.php?a=43&b=2&idespace=<?php echo $row["id_espace"];?>"><button class="btn btn-success btn-sm"  type="submit" value="modifier">Modifier</button></a></td>
                <td ><a href="index.php?a=43&b=3&act=3&idespace=<?php echo $row["id_espace"];?>"><button type="button" class="btn btn-danger"><i class="fa fa-trash-o"></i></button></a></td></tr>
            	<?php
          	}
        }
    }

        ?>
<tbody></table></div></div>

    </section><!-- /.Left col -->

 <section class="col-lg-3 connectedSortable"> 
<!-- bouton nouvel espace-->
<div class="small-box bg-light-blue">
                <div class="inner"><h3>&nbsp;</h3><p>Nouvel EPN</p></div>
		<div class="icon"><i class="ion ion-home"></i></div>
	<a href="index.php?a=43&b=1" class="small-box-footer">Ajouter <i class="fa fa-arrow-circle-right"></i></a>
</div>
</section>

</div>
