<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 2012 Dauvergne Florence

 include/admin_user.php V0.1
*/


// admin --- Utilisateur
$term   = $_POST["term"];
$mesno  = $_GET["mesno"];

if ($mesno !="")
{
  echo getError($mesno);
}

?>
<div class="row">
<!-- nouvel adherent-->
<div class="col-lg-3 col-xs-6">
    <div class="small-box bg-blue"><div class="inner"><h3>&nbsp;</h3><p>Nouvel adhrent</p></div>
		<div class="icon"><i class="ion ion-person-add"></i></div>
                 <a href="index.php?a=1&b=1" class="small-box-footer">Ajouter <i class="fa fa-arrow-circle-right"></i></a>
	</div><!-- /box -->
</div><!-- /col -->

<!-- Recherche adherent-->
<div class="col-lg-5 col-xs-6">
<div class="box box-solid bg-yellow"><div class="box-header"><h3 class="box-title">Recherche</h3></div>
		<div class="box-body">
			<form method="post" action="index.php?a=1">
				<div class="form-group"><label>Entrez son nom ou pr&eacute;nom </label>
				 <div class="input-group input-group-sm">
				 <input type="text" name="term" class="form-control">
				<span class="input-group-btn">	<button type="submit" value="Rechercher"  class="btn btn-flat"><i class="fa fa-search"></i></button></span>
                         </div>
                </div><!-- /input-group -->
	  	 </div><!-- / box footer-->
	 </form></div><!-- / box-->
	
</div><!-- /col -->
<!-- liste complete-->
<div class="col-lg-3 col-xs-6">
    <div class="small-box bg-green"><div class="inner"><h3>&nbsp;</h3><p>Liste complte</p></div>
		<div class="icon"><i class="ion ion-person-stalker"></i></div>
                 <a href="index.php?a=1&b=3" class="small-box-footer">Voir <i class="fa fa-arrow-circle-right"></i></a>
	</div><!-- /box -->
</div><!-- /col -->
</div><!-- /row -->

<div class="row"> 

<!-- Resultats de la recherche -->
<div class="col-xs-12">
<?php
if (strlen($term)>=2)
{
    // Recherche d'un adherent
    $result = searchUser($term);
    if (FALSE == $result OR mysqli_num_rows($result)==0)
    {
      echo getError(6);
    }
    else
    {
      $nb  = mysqli_num_rows($result);
      if ($nb > 0)
      {
      ?>
    <div class="box box-info"><div class="box-header"><h3 class="box-title"><?php echo "R&eacute;sultats de la recherche: ".$nb." ";?></h3>
		<div class="box-tools pull-right"><small class="badge bg-blue" data-toggle="tooltip" title="Les adhrents inactifs sont griss"><i class="fa fa-info"></i></small></div>
		</div>
	<div class="box-body no-padding"><table class="table">
	<thead><tr><th></th><th>Nom</a></th>
		<th>Pr&eacute;nom</a></th>
		
		<th>login</a></th>
		<th>Age</a></th>
		<th>Temps Utilis&eacute;</a></th>
		<th></th></thead><tbody> 
					
             <?php
    
                    for ($i=1; $i<=$nb; $i++)
                    {
                        $row = mysqli_fetch_array($result) ;
                        $credit  = getTime($row["temps_user"]);
						$age = date('Y')-$row["annee_naissance_user"];
						$utilise = getTempsCredit($row["id_user"],$date1,$date2);
                        if ($row["temps_user"]==999)
                        {
                            $credit = "Infini";
                        }
                        if($row['status_user']==2){
                            $class="text-muted" ;
                        }else{
                            $class="" ;}
                            
                        echo "<tr class=".$class.">
				<td>".$i."</td>
				<td>".$row["nom_user"]."</td>
				<td>".$row["prenom_user"]."</td>
				
				<td>".$row["login_user"]."</td>
				<td>".$age." ans</td>
				<td>".getTime($utilise['util'])."</td> ";
			if($row["status_user"]==4 and $_SESSION["status"]==3){	
				echo '<td></td></tr>';
			}else{
                             echo "<td><a href=\"index.php?a=1&b=2&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn btn-primary btn-sm\" data-toggle=\"tooltip\" title=\"fiche adhrent\"><i class=\"fa fa-edit\"></i></button></a>
							 &nbsp;<a href=\"index.php?a=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-navy btn-sm\"  data-toggle=\"tooltip\" title=\"transactions\"><i class=\"fa fa-bitcoin\"></i></button></a>
							 &nbsp;<a href=\"index.php?a=5&b=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-purple btn-sm\" data-toggle=\"tooltip\" title=\"Autres inscriptions\"><i class=\"fa fa-keyboard-o\"></i></button></a>
							 </td>
							 </tr>";
			}
                    }
            ?>
      </tbody> </table>
			</div></div>
			
<?php
		}
	}
}
else // si pas de recherche alors affichage classique
{
      // Les adhrents // MODIF 2012 : liste des 25 derniers inscrits......
  	$result= getLastUser(25);
    if (FALSE == $result)
    {
      echo getError(1);
   
    }
    else  // affichage du resultat
    {
    $nb  = mysqli_num_rows($result);
    //debug($nb);
	
	if ($nb > 0)
    {
	 ?>
   	
	<div class="box box-info"><div class="box-header"><h3 class="box-title">Liste des 25 derniers adhrents inscrits  </h3></div>
	<div class="box-body no-padding"><table class="table">
		<thead><tr>
				<th></th>
				 <th>date inscription</th>
				
				 <th>Nom</th>
				 <th>Pr&eacute;nom</th>
				 <th>Login</th>
				 <th>Age</th>
				 <th>Temps Utilis&eacute;</th></tr>
		</thead> 
			<tbody> 
            <?php
    
                    for ($i=1; $i<=$nb; $i++)
                    {
                        $row = mysqli_fetch_array($result) ;
			$age = date('Y')-$row["annee_naissance_user"];
            $credit  = getTime($row["temps_user"]);
			$utilise = getTempsCredit($row["id_user"],$date1,$date2);
			
			 if($row['status_user']==2){
                            $class="text-muted" ;
                        }else  if($row['status_user']==3){
                            $class="text-aqua" ;
			}else{
				$class="";
			}
			    
                        if ($row["temps_user"]==999)
                        {
                            $credit = "Infini";
                        }
                        echo "<tr class=".$class." >
				<td><a href=\"index.php?a=1&b=2&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn btn-primary btn-sm\" data-toggle=\"tooltip\" title=\"Fiche adhrent\"><i class=\"fa fa-edit\"></i></button></a>";
				if($row["status_user"]<3){   
					echo  "&nbsp<a href=\"index.php?a=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-navy btn-sm\" data-toggle=\"tooltip\" title=\"transactions\"><i class=\"fa fa-bitcoin\"></i></button></a>
					&nbsp;<a href=\"index.php?a=5&b=6&iduser=".$row["id_user"]."\"><button type=\"button\" class=\"btn bg-purple btn-sm\" data-toggle=\"tooltip\" title=\"Autres inscriptions\"><i class=\"fa fa-keyboard-o\"></i></button></a>";
				}
			  echo "</td>
			
			<td>".dateFr($row["date_insc_user"])."</td>
			
			 <td>".$row["nom_user"]."</td>
			 <td>".$row["prenom_user"]."</td>
			 <td>".$row["login_user"]."</td>
                         <td>".$age." ans</td>
			 <td>".getTime($utilise['util'])."</td>
                             </tr>";
                    }
            ?>
		</tbody> 
		</table></div></div>
			
			
    <?php
		
		}else{
		echo "<div class=\"alert alert-warnint alert-dismissable\"><i class=\"fa fa-warning\"></i>
          <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>Aucun adhrent n'est encore inscrit dans votre espace</div>";
		}
    }
	
}
?>

	
</div></div>

