<?php
include("libchart/classes/libchart.php");
/*
Fichier de statistique sur les sessions
Classement par type de session
Mettre % des sesions/ateliers annuls !!

Ajout 2014 Florence D
*/

// repartition des inscrits par mois et par annee ---
if (TRUE == isset($_GET['month']) AND TRUE==is_numeric($_GET['month']) AND $_GET['month']>0 AND $_GET['month']<13)
	{
		$month = $_GET['month'] ;
		$year =$_GET['year'];
	}
	else
	{
	   $month = date('m');
	   $year=date('Y');
	}
/// condition d'affichage : 1 session dans la base !
$atelier=getFutsessions();


?>
 <div class="row"><div class="col-md-6">
                     
 <div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Changer l'anne</h3></div>
<div class="box-body">
 <?php echo '<a href="index.php?a=5&b=5&year='.(date('Y')-1).'&month=12" class="bJour"><button class="btn bg-navy btn-flat margin">'.(date('Y')-1).' </button></a>&nbsp;'; ?>
  <?php echo '<a href="index.php?a=5&b=5&year='.date('Y').'&month='.date('m').'" class="bJour"><button class="btn bg-navy btn-flat margin"> Anne en cours</button></a>&nbsp;'; ?>
	</div><!-- /.box-body-->
</div><!-- /.box -->
</div><!-- /.col -->
 <div class="col-md-6">
<!-- DIV accs direct aux autres paramtres-->
 <div class="box">
		<div class="box-header">
			<h3 class="box-title">Statistiques</h3>
		</div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=5&b=1"><i class="fa fa-users"></i>Adhrents<a>
			<a class="btn btn-app" href="index.php?a=5&b=2"><i class="fa fa-clock-o"></i>Rservations</a>
			<a class="btn btn-app" href="index.php?a=5&b=3"><i class="fa fa-print"></i>Impressions</a>
			<a class="btn btn-app disabled" href="index.php?a=5&b=5"><i class="fa fa-ticket"></i>Sessions</a>
			<a class="btn btn-app" href="index.php?a=5&b=4"><i class="fa fa-keyboard-o"></i>Ateliers</a>
			
			
		</div><!-- /.box-body -->
</div><!-- /.box -->
 </div><!-- /.col -->
 </div><!--/row-->

<?php
if (mysqli_num_rows($atelier)>0){
?>
 <div class="row"><div class="col-md-6">

<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Les sessions pour l'anne <?php echo $year; ?></h3></div>
	<div class="box-body">
<?php 
	$toutsession=mysqli_fetch_array(statSessionAn($year));
	
	//debug($toutatelier);
	?>
	Nombre des ateliers-sessions programms : <b><?php echo $toutsession["nbsession"]; ?></b></br>
	Nombre des prsents : <b><?php echo $toutsession["presents"]; ?></b></br>
	Nombre des inscrits : <b><?php echo $toutsession["inscrits"]; ?></b></br>
	
	<div class="statBar">
		<div class="statBarContainPurple">
		<div style="width:<?php echo getPourcent($toutsession['presents'],$toutsession['inscrits']); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($toutsession['presents'],$toutsession['inscrits']); ?></div></div>
    </div><div class="clear"></div>
	
</div><!-- /.box-body-->
</div><!-- /.box -->


<?php
//liste des catgories croiser avec l'anne $categorie, $year frequentation depuis anne 0
//Categories
$nbcategories=CountCategories();
//donnes du graphique
$chartCat = new VerticalBarChart(425, 200);
$dataSetCat = new XYDataSet();
$y=$year;
if ($nbcategories>0){
	for ($n=1;$n<=$nbcategories;$n++){
			$categories=mysqli_fetch_array(statSessionCategory($n,$y));
			//debug($categories);
			$particip=round((($categories['presents']/$categories['inscrits'])*100),2)." %";
			$dataSetCat->addPoint(new Point($categories['label_categorie'], $particip));
		}
		
		//creation du graphique
		
		$chartCat->setDataSet($dataSetCat);
		$chartCat->setTitle("Participation par categories en %");
		$chartCat->getPlot()->getPalette()->setBarColor(array(new Color(1,105,201)));
		$chartCat->render("img/chart/".$year."/categorieSession.png");
}	

?>

</div><!-- /col -->
<div class="col-md-6"><!-- col 2 -->
<!-- nombre de sessions programmes par catgorie, frquentation -->
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Classement des sessions par catgories</h3></div>
<div class="box-body">
<img src="img/chart/<?php echo $year?>/categorieSession.png">
</div><!-- /.box-body-->
</div><!-- /.box -->


<!-- Mettre en evidence frequentation participation -->
<?php
$nbS=countSession();
$listeSessions=listSession();
//debug ($listeSessions);
?>
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Frquentation des sessions</h3></div>
	<div class="box-body">
		<table class="table"> 
				<thead><tr>
					<th>Titre</th> 
					<th>Inscrits</th>
					<th>Prsents</th>
					<th>%</th></tr></thead><tbody>
	<?php
	for ($x=0 ; $x<$nbS;++$x)
		{
		
		$frequentation=mysqli_fetch_array(statSessionParticip($listeSessions[$x]));
		$pourcentF=($frequentation['presents']/$frequentation['inscrits'])*100;
		
		echo '<tr><td>'.$frequentation['nom_session'].'</td>
				<td>'.$frequentation['inscrits'].'</td>
				<td>'.$frequentation['presents'].'</td>
				<td>'.number_format($pourcentF,2).' %</td></tr>';
		}

	?>
	</tbody></table>
</div><!-- /.box-body-->
</div><!-- /.box -->

</div></div><!-- col /row -->

<!-- Classement des session par classe d'ge-->
<?php
}
else {  echo geterror(37) ;

}
?>
