<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
  include/admin_stat.php V0.1
*/
if ($mess !="")
{
  echo $mess;
}

// Fichier de statistiques de l'application

	

// repartition homme/femme ------------
$nbH = statSexe("H");
$nbF = statSexe("F"); 

// Total d'adherents
$nbTotal = $nbF+$nbH ;

// repartition par tranche d'age -------
$nbTr1 =  statTranche(0,6,$nbTotal);
$nbTr2 =  statTranche(7,13,$nbTotal);
$nbTr3 =  statTranche(14,17,$nbTotal);
$nbTr4 =  statTranche(18,25,$nbTotal);
$nbTr5 =  statTranche(26,45,$nbTotal);
$nbTr6 =  statTranche(46,65,$nbTotal);
$nbTr7 =  statTranche(66,75,$nbTotal);
$nbTr8 =  statTranche(76,110,$nbTotal);

$month = date('m') ;


// Affichage
?>
 <div class="row"><div class="col-md-6">
<!-- DIV accs direct aux autres paramtres-->
 <div class="box">
		<div class="box-header">
			<h3 class="box-title">Statistiques</h3>
		</div>
		<div class="box-body">
			<a class="btn btn-app disabled" href="index.php?a=5&b=1"><i class="fa fa-users"></i>Adhrents<a>
			<a class="btn btn-app" href="index.php?a=5&b=2"><i class="fa fa-clock-o"></i>Rservations</a>
			<a class="btn btn-app" href="index.php?a=5&b=3"><i class="fa fa-print"></i>Impressions</a>
			<a class="btn btn-app" href="index.php?a=5&b=5"><i class="fa fa-ticket"></i>Sessions</a>
			<a class="btn btn-app" href="index.php?a=5&b=4"><i class="fa fa-keyboard-o"></i>Ateliers</a>
			
			
		</div><!-- /.box-body -->
</div><!-- /.box -->   

<?php
if (getadherenttotal()){ // condition pour affichage si pas d'adherents, message !
?>
   
 <div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">R&eacute;partition Homme / Femme</h3></div>
	<div class="box-body">
		<p>Nombre total de membres (adh&eacute;rents): <?php echo $nbTotal ;?> actifs, nombre total d'inactifs : <?php echo countUser(3) ;?></p>
	
		<div class="statBar">
			<div class="statText">Hommes</div>
			<div class="statBarContainPurple">
				<div style="width:<?php echo getPourcent($nbH,$nbTotal); ?>;" class="statBarPourcentYellow">&nbsp;<?php echo getPourcent($nbH,$nbTotal); ?></div>
			</div></div>
			<div class="clear"></div>
		<div class="statBar">
			<div class="statText">Femmes</div>
			<div class="statBarContainPurple">
				<div style="width:<?php echo getPourcent($nbF,$nbTotal); ?>;" class="statBarPourcentYellow">&nbsp;<?php echo getPourcent($nbF,$nbTotal); ?></div>
		</div></div><div class="clear"></div>
		<div class="spacer"></div>	
</div></div>



<!-- REPARTITION PAR TRANCHE D AGE-->
                  
 <div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">R&eacute;partition par tranche d'&acirc;ge </h3></div>
	<div class="box-body">
	
		<div class="statBar">
			<div class="statText">0  &agrave;   6 :</div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr1,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr1,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">7  &agrave;  11 : </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr2,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr2,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">12  &agrave;  17 :  </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr3,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr3,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">18  &agrave;  25 : </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr4,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr4,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">25  &agrave;  45 :  </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr5,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr5,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">46  &agrave;  65 : </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr6,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr6,$nbTotal); ?></div></div>
		</div>	<div class="clear"></div>
		<div class="statBar">
			<div class="statText">66  &agrave; 75 :  </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr7,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr7,$nbTotal); ?></div></div>
		</div><div class="clear"></div>
		<div class="statBar">
			<div class="statText">75  et + :  </div><div class="statBarContainDBlue">
			<div style="width:<?php echo getPourcent($nbTr7,$nbTotal); ?>" class="statBarPourcentGreen">&nbsp;<?php echo getPourcent($nbTr8,$nbTotal); ?></div></div>
		</div><div class="clear"></div>
</div></div>

<!-- REPARTITION PAR VILLE-->
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">R&eacute;partition par ville</h3></div>
<div class="box-body">
<?php
$town = getAllCityname();
foreach ($town AS $key => $value)
{
  $nbAdhCity = statCity($key) ;
  if ($nbAdhCity >0)
  {
  ?>
  
  <div class="statBar">
			<div class="statTextVille"><?php echo $value;?> </div>
			<div class="statBarContainBlue"><div style="width:<?php echo getPourcent($nbAdhCity,$nbTotal); ?>" class="statBarPourcentRed">&nbsp;<?php echo getPourcent($nbAdhCity,$nbTotal); ?></div></div>
  	</div><div class="clear"></div>
<?php
    }
}
?>

</div></div>

</div><!-- /col 1-->

<div class="col-md-6">

<!-- REPARTITION PAR CSP-->
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">R&eacute;partition par CSP</h3></div>
<div class="box-body">
<?php
$csp = getAllCsp();
foreach ($csp AS $key => $value)
{
  $nbAdhCsp = statCsp($key) ;
  if ($nbAdhCsp >0)
  {
  ?>
 
  <div class="statBar">
			<div class="statTextVille"><?php echo $value;?></div>
			<div class="statBarContainPurple">
  <div style="width:<?php echo getPourcent($nbAdhCsp,$nbTotal); ?>" class="statBarPourcentYellow">&nbsp;<?php echo getPourcent($nbAdhCsp,$nbTotal); ?></div></div>
    </div><div class="clear"></div>
	
<?php
    }
}
?>
</div></div>


<!--repartition des inscrits par mois et par annee --->
<div class="box box-primary">
          <div class="box-header"><i class="fa fa-bar-chart-o"></i><h3 class="box-title">Nouveaux inscrits par mois </h3></div>
<div class="box-body"><table class="table"> 
				<thead><tr>
					<th></th>
					<th>Nouveaux inscrits</th>
					<th>Dont actifs</th></td></tr></thead></tbody>
<?php

for ($i=1 ; $i<= $month;++$i)
{
    $nbNewAdhActifs= statInscription($i,1);
	$nbNewAdhInactifs = statInscription($i,2);
	//debug($nbNewAdhInactifs);
	$totalNewadh=$nbNewAdhActifs+$nbNewAdhInactifs;
	//debug($nbNewAdh);
	echo '<tr><td >'.getMonth($i).'</td>
              <td >'.$totalNewadh.'</td>
              <td >'.$nbNewAdhActifs.' ('.getPourcent($nbNewAdhActifs,$nbTotal).')</td></tr>';
}
?>
</TBODY></table>
</div></div>
<?php 
	}else{
	 echo geterror(36);
	}
?>


</div></div><!-- /col /row -->
