<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 2012 florence DAUVERGNE

 include/user_accueil.php V0.1
*/

// Page d'accueil sur le compte animateur ou administrateur
// admin --- Utilisateur
include ("post_reservation-rapide.php");

$mesno  = $_GET["mesno"];

//liste des ateliers/vnements de la journe
 $listeWeekAtelier=getWeekAteliers(date('Y-m-d'),$_SESSION["idepn"]);
  $nbTA=mysqli_num_rows($listeWeekAtelier);
   
if ($_SESSION["status"]=="3" OR $_SESSION["status"]=="4")
{
 // -------------fonctions pour administrateur
 // verifier les abonnements des adherent et mettre  jour le statut
 $majadh=getLogUser();
 if (mysqli_num_rows($majadh)==0){
	$updateA=updateUserStatut();
	//ajout d'un log 
	if($updateA==TRUE){ //maj type 1 == update tab_user
		$logadh=addLog(date('Y-m-d H:i'),"adh",$updateA,'Mise  jour des adhesions adherents du jour');
		}
	
  }
 //declencher les MAJ, verifier la version dans la tab_config
 $version=getConfigVersion($_SESSION["idepn"]);
 $versionactuelle=0.9;
 
?>
 <div class="row">
 <section class="col-lg-7 connectedSortable"> 
  <?php 
  if ($mesno !="")
{
  echo getError($mesno);
}
echo '';
if ($logadh==TRUE){ echo '<div class="alert alert-success alert-dismissable"><i class="fa fa-check-square"></i>
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Mise  jour des adhrents effectue</div>';}
if($version<>$versionactuelle){ ?>
 <!--DIV Mises  jour -->
  <div class="box box-danger"><div class="box-header"> <i class="fa fa-warning"></i><h3 class="box-title">Mise  jour de version</h3></div>
	<div class="box-body">
	Une nouvelle version demande bien quelques efforts, cliquez sur le bouton ci-dessous pour les effectuer immdiatement !
	</div>
	 <div class="box-footer"><a href="index.php?a=61"><input type="submit" name="mises  jour" value="Faire la mise  jour" class="btn btn-danger"></a></div>
 </div>
 <!-- / MAJ -->
 <?php } ?>
 
 
 <!-- DIV TIMELINE evenements de la semaine -->
<div class="box"><div class="box-header"><h3 class="box-title">Au programme cette semaine  l'EPN</h3></div>
		<div class="box-body">
			 <!-- The time line -->
			
				<?php
			if($nbTA>0){	
				  for ($g=1; $g<=$nbTA; $g++){
					$rowTA=mysqli_fetch_array($listeWeekAtelier);
					if($rowTA["tab_origine"]=="tab_atelier"){
						$idatelier=$rowTA["id"];
						$rowAtelier=getAtelier($idatelier);
							$result=getSujetById($rowAtelier["id_sujet"]);
							$rowsujet=mysqli_fetch_array($result);
						$titre=$rowsujet["label_atelier"];
						$heureAS=$rowAtelier["heure_atelier"];
						$dateAS=$rowAtelier["date_atelier"];
						$anim=getUserName($rowAtelier["anim_atelier"]);
						$inscrits=countPlace($rowAtelier["id_atelier"]);
						$salle=mysqli_fetch_array(getSalle($rowAtelier["salle_atelier"]));
						$nomsalle=$salle["nom_salle"];
						$duree=$rowAtelier["duree_atelier"];
						$urlAS="index.php?a=13&b=1&idatelier=".$rowTA["id"];
					
					}elseif($rowTA["tab_origine"]=="tab_session_dates"){
						$idsession=$rowTA["id"];
						$rowSession=getSession($idsession);
							$titrearr=getTitreSession($rowSession["nom_session"]);
							$titre=$titrearr["session_titre"];
						$heureAS=$rowSession["heure_session"];
						$dateAS=$rowTA["dateAS"];
						$anim=getUserName($rowSession["id_anim"]);
						$inscrits=countPlace($rowSession["id_session"]);
						$salle=mysqli_fetch_array(getSalle($rowSession["id_salle"]));
							$nomsalle=$salle["nom_salle"];
						$duree="60";
						$urlAS="index.php?a=30&b=1&idsession=".$row["id_session"];
					
					}
				?>
							<!-- timeline time label -->
				<ul class="timeline"><li class="time-label"><span class="bg-red"> <?php echo getDayFr($dateAS); ?></span></li><!-- /.timeline-label -->
					<li><i class="fa fa-keyboard-o bg-green"></i>
						<div class="timeline-item"><h3 class="timeline-header"><?php echo $titre; ?></h3>
							 <span class="time"><i class="fa fa-clock-o"></i><?php echo $heureAS; ?></span>
							<div class="timeline-body"><small class="badge bg-purple"><?php echo $inscrits; ?></small> participants enregistrs,  <?php echo $nomsalle ; ?><br>Dure : <?php echo $duree; ?> min<br>
							<small class="badge bg-purple"><i class="fa fa-user"></i></small> Animateur :  <?php echo $anim; ?>
							</div>
							<div class='timeline-footer'>
								<a href="<?php $urlAS; ?>" class="btn btn-success btn-xs">Voir le dtail</a>
							</div>
						</div>
					</li>
					
					<?php } ?>
				<!-- END timeline item -->
				<!-- timeline time label -->
				<!--
				<li class="time-label"><span class="bg-red"><i class="fa fa-clock-o"></i> 11:00</span></li>
				<li><i class="fa fa-ticket bg-blue"></i>
					<div class="timeline-item"><h3 class="timeline-header">Session Grand Dbutant</h3>
						<div class="timeline-body"><small class="badge bg-yellow">6</small> participants enregistrs, salle des pas perdus<br>Dure : 90 min<br>
						<small class="badge bg-yellow"><i class="fa fa-user "></i></small> Animateur : Romeo
						</div>
						<div class='timeline-footer'>
							<a class="btn btn-primary btn-xs">Voir le dtail</a>
							
						</div>
					</div>
				</li>
				<li class="time-label"><span class="bg-red"><i class="fa fa-clock-o"></i> 11:30</span></li>
				
				<li>
					<i class="fa fa-comments bg-yellow"></i>
					<div class="timeline-item">
						<h3 class="timeline-header"><a href="#">Runion</a> de service</h3>
						<div class="timeline-body">
							Thme : les prochaines animations<br>
							Salle de runion
						</div>
						<div class='timeline-footer'>
							<a class="btn btn-warning btn-flat btn-xs">Voir le dtail</a>
						</div>
					</div>
				</li>-->
				
							
				<li><i class="fa fa-clock-o"></i></li>
			</ul>
		<?php } else{ echo "<p>aucun &eacute;v&eacute;nement enregistr&eacute; pour cette semaine !</p>"; } ?>
		</div>
	</div>


<?php

//affichage breve admin
$result = getAllBreve(0);  
if ($result == FALSE)
	{
  echo getError(0);
	}else
	{
	  $nb = mysqli_num_rows($result);
	  if ($nb==0)
		{
		  echo getError(10);
		}
	  else
		{
		  for ($i=1;$i<=$nb;$i++)
		  {
			  $row = mysqli_fetch_array($result);
			  echo "<div class=\"box box-success\"><div class=\"box-header\"><h3 class=\"box-title\">".$row["titre_news"]."</h3></div>
						<div class=\"box-body\">
						<p>".$row["comment_news"]."</p>
						</div></div>
					";
		  }
		}
	}
?>
</section>
	
<section class="col-lg-5 connectedSortable"> 

<div class="box"><div class="box-header"><h3 class="box-title">Raccourcis</h3></div>
		<div class="box-body">
			<a class="btn btn-app" href="index.php?a=1"><i class="fa fa-group"></i>Adhrents</a>
			<a class="btn btn-app" href="index.php?a=1&b=1"><i class="fa fa-user"></i>+ Adhrent</a>
			<a class="btn btn-app" href="index.php?a=11"><i class="fa fa-keyboard-o"></i>Ateliers</a>
			<a class="btn btn-app" href="index.php?a=37"><i class="fa fa-ticket"></i>Sessions</a>
			<a class="btn btn-app" href="index.php?a=21"><i class="fa fa-print"></i>Impressions</a>
			<?php
			if ($_SESSION["status"]==4){
			echo '<a class="btn btn-app" href="index.php?a=41"><i class="fa fa-gear"></i>Configuration</a>';
			}
			?>
		</div>
	</div>
	  
<!-- message board -->
 <div class="box box-info"><div class="box-header"><i class="fa fa-comments-o"></i><h3 class="box-title">Chat</h3></div>
        <div class="box-body chat" id="chat-box">
       <!-- chat item -->
           
		<?php
		$listeMessage=readMessage();
		$nb=mysqli_num_rows($listeMessage);
		
		 $urlRedirect="index.php";
             for ($i=1; $i<=$nb; $i++){
			$row = mysqli_fetch_array($listeMessage) ;
			$rowa = getAvatar($row["mes_auteur"]);
			$avatar=$rowa["anim_avatar"];
			if($row["mes_auteur"]==1){$avatar="default.png";} //administrateur principal
				?>
	 <div class="item"><img src="img/avatar/<?php echo $avatar; ?>" class="img-circle" />
			<p class="message"><a href="#" class="name"><?php echo $row['prenom_user']." ".$row['nom_user'] ;?></a>
				<small class="text-muted pull-right"><i class="fa fa-clock-o"></i><?php echo $row['mes_date'];?></small>
				<?php echo stripslashes($row['mes_txt']);?> </p></div>
	<?php }	?>      
        <!-- /.item -->
           
        </div><!-- /.chat -->
        <div class="box-footer"><form method="post" action="<?php echo $urlRedirect; ?>">
             <div class="input-group input-group-sm">
               <input value="test" type="hidden" name="tags_message">
				<input value="<?php echo date('Y-m-d H:i:s'); ?>" type="hidden" name="date">
				<input value="<?php echo $_SESSION['iduser']; ?>" type="hidden" name="adh">	
				<input type="text" name="txt_message" class="form-control" onfocus="if(!this._haschanged){this.value=''};this._haschanged=true;"/>	
                <div class="input-group-btn">
					<!--<input type="submit" class="btn btn-default" value="+" name="message_submit">-->
					<button class="btn bg-navy sm" type="submit" value="message_submit" name="message_submit"><i class="fa fa-plus"></i></button></div>
            </div><!-- /.input group -->  </form>
        </div><!-- /.box footer -->  
    </div><!-- /.box (chat box) -->  

	
</section>
 </div><!-- /row-->



  




<div class="row"><section class="col-lg-7 connectedSortable">
<?php
// Page d'accueil sur le compte utilisateur- animateur //breve public
} else {


$result = getAllBreve(1);  
if ($result == FALSE)
	{
  echo getError(0);
	}else
	{
	  $nb = mysqli_num_rows($result);
	  if ($nb==0)
		{
		  echo getError(10);
		}
	  else
		{
		  for ($i=1;$i<=$nb;$i++)
		  {
			  $row = mysqli_fetch_array($result);
			  echo "<div class=\"box box-success\"><div class=\"box-header\"><h3 class=\"box-title\">".$row["titre_news"]."</h3></div>
						<div class=\"box-body\">
						<p>".$row["comment_news"]."</p>
						</div>
				</div>";
		  }
		}
	}
}
?>
</section>
</div>