<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 

 include/user_compte.php V0.1
*/

// Page de gestion du compte d'un utilisateur
$row = getUser($_SESSION["iduser"]);

// credit temps
//remplacement pour comptage  la semaine
// affichge du temps restant et du consomm
$semaine=get_lundi_dimanche_from_week(date('W'));
$date1=strftime("%Y-%m-%d",$semaine[0]);
$date2=strftime("%Y-%m-%d",$semaine[1]);
$credit = getTempsCredit($_SESSION["iduser"],$date1,$date2);

if ( 999==$row["temps_user"])
{
    $temps  ="infini";
    $temps2 =getTime($credit['util']) ;
    $temps3 =$temps ; 
    $credclass="creditok";
}else{
    $temps = getTime($row["temps_user"]);
    $temps2 =getTime($credit['util']) ;
    $temps3 =$row["temps_user"]-$credit['util'];  
    $temps3=getTime($temps3);
}


//Affichage d'une erreur si erreur il y a
echo $mess ;
?>
<div class="box box-info"><div class="box-header"><i class="fa fa-bullhorn"></i><h3 class="box-title">Info</h3></div><!-- /.box-header -->
		<div class="box-body"><div class="callout callout-info">
                                        <h4>Votre compte temps pour la semaine: <?php echo  $temps1; ?>.&nbsp;Utilis&eacute; : <?php echo  $temps2; ?>,&nbsp;restant: <?php echo  $temps3; ?></h4>
					</div>
		 </div><!-- /.box-body -->
    </div><!-- /.box -->
    
<div class="box box-info">
	<div class="box-header"><h3 class="box-title">Vos informations personnelles</h3></div>
	<div class="box-body">
		<table width="table">
			<tr><td >
			<?php 
			if (FALSE != isset($row["id_user"])){
				if ($row["sexe_user"] =="F"){
				echo '<img src="img/female.png">' ;
				} else {
				echo '<img src="img/male.png">' ;
				}
			}
			?>
			</td>
		<td >
		<p><h4><?php echo $row["nom_user"] ; ?>&nbsp;<?php echo $row["prenom_user"] ; ?></h4>
		N le <b><?php echo $row["jour_naissance_user"]." ".getMonth($row["mois_naissance_user"])." ".$row["annee_naissance_user"] ; ?></b></p>
		<p>Habitant au <b><?php echo $row["adresse_user"] ; ?> &nbsp;<?php echo getCity($row["ville_user"]) ; ?></b></p>
		<p>Inscrit  l'EPN depuis le <b><?php echo dateFr($row["date_insc_user"]) ; ?></b></p>
		<p>Pour vous joindre : <b><?php echo $row["tel_user"] ; ?><br><?php echo $row["mail_user"] ; ?></b></p>
		</td></tr>
	</table>
</div></div>
	
<div class="box box-info">
	<div class="box-header"><h3 class="box-title">Param&egrave;tres de connexion</h3></div>
	<div class="box-body">
	<form method="post" action="index.php?m=2">
	
	  <div class="form-group"><label>Login </label><p><?php echo $row["login_user"] ; ?></p></div>
	  <div class="form-group"><label>Mot de passe </label> ********</div>
	  <div class="form-group"><label>Modification</label>
				<input type="password" name="pass1" value="" class="form-control"></div>
	  <div class="form-group"><label>Confirmation</label>
				<input type="password" name="pass2" value="" class="form-control"></div>
	</div>
  <div class="box-footer"><input type="submit" value="modifier le mot de passe" class="btn btn-primary"></div>
</div>