<?php
/*
     This file is part of Cybermin.

    Cybermin is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Cybermin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cybermin; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 2006 Namont Nicolas
 

 include/admin_breve.php V0.1
*/

// fichier de gestion des reservations
//declaration du temps semaine pour le credit de temps 


$week= date('W')+1;
$semaine=get_lundi_dimanche_from_week($week);
$date1=$semaine[0];
$date2=$semaine[1];

if(FALSE!=isset($_GET['del']) AND FALSE!=is_numeric($_GET['del']))
{
	delResa($_GET['del'],$_SESSION['iduser']); //suppression de la resa
	
}
?>
 <div class="row">  
  <div class="col-md-6">
  <div class="box box-primary">
                                <div class="box-header"> <h3 class="box-title">Aide</h3></div>
		 <div class="box-body">
		  <p>Cliquez sur le calendrier  gauche pour r&eacute;server un poste &agrave; la date qui vous convient et suivez la proc&eacute;dure.
		  </p>
		  <p><b>N.B : Vous ne pourrez pas annuler une r&eacute;servation du jour ou une r&eacute;servation pass&eacute;e, en cas de probleme adressez vous &agrave; l'accueil.</b></p>
		  </div></div>
</div>
<?php


	if (TRUE==checkResaSemaine($_SESSION['iduser'],strftime("%Y-%m-%d",$date1), strftime("%Y-%m-%d",$date2)))
	{
		$row=getTempsCredit($_SESSION['iduser'], strftime("%Y-%m-%d",$date1), strftime("%Y-%m-%d",$date2));
		//debug(strftime("%Y-%m-%d",$date2));
		debug($row['temps_user']);
		if ($row['total']==999)
		{
			$total = 'illimit&eacute;' ;
			$reste = $total ;
		}
		else
		{
			$total = getTime($row['total']);
			$utilise=$row['util'];
			$reste = getTime($row['total']-$utilise) ;
			
			//$reste = getTime($row['total']-$row['util']) ;
		}
	}else{
		$total=getTime(300);
		$utilise=0;
		$reste=$total;
	}
		echo " <div class=\"col-md-6\">
		
		<div class=\"box box-primary\">
                                <div class=\"box-header\"> <h3 class=\"box-title\">Infos</h3></div>
				<div class=\"box-body\">
				<h5>Semaine du ".strftime("%d/%m/%Y",$date1)." au ".strftime("%d/%m/%Y",$date2)." </h5>
				<p>Cr&eacute;dit temps total par semaine :<b> ".$total." </b></p>
				<p>Cr&eacute;dit temps utilis&eacute; cette semaine : ".getTime($utilise)."</p>
				<p>Cr&eacute;dit temps restant cette semaine : <b>".$reste." </b></p>
			  </div></div>
			  </div></div>
			  ";
		 
	
	
if (TRUE==checkResa($_SESSION['iduser']))
{	
	// affichage des reservation a venir
	$result = getResaById($_SESSION['iduser'],1) ;
	if ($result!=FALSE)
	{
		echo " <div class=\"row\">  <section class=\"col-lg-12 connectedSortable\"> 
		
		<div class=\"box box-warning\">
                                <div class=\"box-header\"> <h3 class=\"box-title\">R&eacute;servations  venir</h3></header>" ;
		echo "<div class=\"box-body\"><table class=\"table\">
				<thead><tr> 
				   <th>Date</th>
				   <th>Heure de debut</th>
				   <th>Heure de fin</th>
				   <th>Dur&eacute;e</th>
				   <th>Machine r&eacute;serv&eacute;e</th>
				   <th>&nbsp;</th></tr></thead><tbody>";
				   
		while($row = mysqli_fetch_array($result))
		{
		echo "<tr><td>".dateFr($row['dateresa_resa'])."</td>
				  <td>".getTime($row['debut_resa'])."</td>
				  <td>".getTime(($row['debut_resa']+$row['duree_resa']))."</td>
				  <td>".getTime($row['duree_resa'])."</td>
				  <td>".$row['nom_computer']."</td>
				  <td><a href=\"index.php?m=8&del=".$row['id_resa']."&min=".$row['duree_resa']."&date=".$row['dateresa_resa']."\"><img src=\"images/icn_trash.png\" /></td></tr>" ;
		}
		echo "</tbody></table></div></div>" ;
	}
	
// ARCHIVES DES RESERVATIONS

	//$result = getUserResaById($_SESSION['iduser'],date("m"),date("Y")) ;
	$result = getResaById($_SESSION['iduser'],2) ;
	if($result!=FALSE)
	{
		// affichage
		
		echo "<div class=\"box box-warning\">
                                <div class=\"box-header\"> <h3 class=\"box-title\">R&eacute;servations archiv&eacute;s</h3></header>" ;
		echo "<div class=\"box-body\"><table class=\"table\">
				<thead><tr> 
				   <th>Date</th>
				   <th>Heure de debut</th>
				   <th>Heure de fin</th>
				   <th>Dur&eacute;e</th>
				   <th>Machine r&eacute;serv&eacute;e</th></tr></thead><tbody>";
		
				   
		while($row = mysqli_fetch_array($result))
		{
		
		echo "<tr><td>".dateFr($row['dateresa_resa'])."</td>
				  <td>".getTime($row['debut_resa'])."</td>
				  <td>".getTime(($row['debut_resa']+$row['duree_resa']))."</td>
				  <td>".getTime($row['duree_resa'])."</td>
				  <td>".$row['nom_computer']."</td></tr>" ;
		}
		echo "</tbody></table></div></div>
			</section></div>" ;
	}
	

}
else
{
	echo "<h4 class=\"alert_info\">Vous n'avez pas de r&eacute;servations enregistre</h4>" ;
	
}

?>

